Referenz-Übersicht

USV Softwarekomponenten - Referenz

Übersicht

Die Beckhoff-USV-Softwarekomponenten ermöglichen eine Konfiguration der mit Beckhoff Industrie-PC's mitgelieferten USV-Geräte.


Beckhoff USV-Softwareinstallation

USV Softwarekomponenten - Referenz

Installation der USV-Softwarekomponenten von der Beckhoff Treiberarchiv-CD/DVD

Unterstützten Betriebssysteme:

  • Windows 10 (32 und 64 bit)
  • Windows Vista und Windows 7 (32 und 64 bit, ab USV-Softwareversion >= 3.0.0.5)
  • Windows XP und Windows XP Embedded
  • Windows 2000
  • Windows NT 4.0

Unterstützte USV-Hardware:

  • Beckhoff HID UPS Modelle (CU8130-0240, CU8130-0120, CU8110-0120)
  • 24V Beckhoff USV BAPI v1 Modelle (CA2000-002x-Netzteile)
  • Integrierte 24V Beckhoff USV P24Vxxxx an der seriellen Schnittstelle
  • CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192)
  • Integrierte 24V Beckhoff USV an der CP9030-ISA- oder CP9035-PCI-Karte
  • Mit den Beckhoff Industrie-PC's mitgelieferte APC-Geräte die das Smartprotokoll unterstützen

Die Sprachunterstützung gibt es für folgende Sprachen:

  • Deutsch
  • Englisch

Eine Sprachumschaltung zur Laufzeit ist ab der USV-Softwareversion 2.0.0.9 möglich. Bei allen vorherigen Versionen wird die Dialogsprache durch die Installation bestimmt. D.h. bei einer deutschen Installation werden deutsche Dialoge und bei einer englischen Installation die englischen Dialoge installiert.

Folgende Dateien werden während der Installation in den ..\System32- bzw. ..\SysWOW64-Ordner kopiert:

  • TcHidUpsApi.dll
  • TcUpsDrv.dll
  • TcUpsShellExt.dll
  • TcMM.sys
  • TcMMHelper.dll
  • TcUpsDll.dll
  • TcUpsMsgRes.dll
  • TcUpsSrv.exe (nur NT 4.0, Vista, Windows 7 und höher)
  • TcUpsShellExt.cpl (nur NT 4.0, Vista, Windows 7 und höher)

in die ..\Program Files\UPS Software Components\xxxx-Ordner wird die HTML Dokumentation der unterstützten Landessprachen kopiert. (xxxx = Language identifier):

  • TcUpsShellExt.chm

in den ..\Winnt\Temp-Ordner:

  • Visual Studio 2008 Laufzeitbibliotheken
  • Visual Studio 2017 Laufzeitbibliotheken
  • hhupd.exe (HTML Help-Update, nur NT 4.0)
  • vcredist.exe (Visual Studio 6.0 redistribution libraries, nur NT 4.0)

Um die Software zu installieren oder zu aktualisieren führen Sie folgende Schritte aus:

1. Beenden Sie alle laufenden Applikationen. Stoppen Sie den USV-Dienst (falls bereits aktiv) unter: Start->Alle Programme->BECKHOFF->USV-Softwarekomponenten->USV-Konfiguration->Auswählen...->Hersteller->(None) und dann mit Fertig stellen und Übernehmen bestätigen (unter Windows XP und älter: Start->Systemsteuerung->Energieoptionen->BECKHOFF USV-Konfiguration->Auswählen...->Hersteller->(None)). Beim laufenden USV-Dienst können unter Umständen während der Installation nicht alle Dateien erfolgreich ausgetauscht werden.

Deinstallieren Sie (falls vorhanden) die vorherigen Versionen der Software vom PC (Start->Systemsteuerung->Programme und Funktionen->Programm oder Funktion entfernen->UPS Software Components).

2. Starten Sie die Datei Beckhoff_UPSvX.X.X.X.exe um die USV-Softwarekomponenten zu installieren (X ist die Versionsnummer).

Wählen Sie die gewünschte Sprache aus und bestätigen Sie mit Weiter

3. Die zu installierende Version der Software wird im nächsten Dialog angezeigt.

4. Auf dem folgenden Dialog werden die zu installierenden USV-Komponenten angezeigt.

Bei einer NT4-Installation stehen Ihnen noch weitere Komponenten zur Verfügung die optional abgewählt werden können:

  • HTML Help Update
  • Visual Studio 6.0 redistribution libraries

Bestätigen Sie mit Weiter

5. Nach der Installation muss ein Restart des PC's durchgeführt werden.

Die Installation ist an dieser Stelle beendet.


BECKHOFF USV Konfigurationsdialog

USV Softwarekomponenten - Referenz

Beckhoff USV-Konfigurationsdialog

Unter Windows Vista oder Windows 7, Windows 10 und höher können Sie den USV-Konfigurationsdialog über die Verknüpfung im Startmenue erreichen: Start->Alle Programme->BECKHOFF->USV-Softwarekomponenten->USV-Konfiguration.

Der USV-Konfigurationsdialog kann nach der Installation unter Win2K/XP/XPe als zusätzlicher Karteireiter unter Start->Systemsteuerung->Energieoptionen gefunden werden (Start->Control Panel->Power Options).

Win2K/XP/XPe besitzt bereits von Hause aus einen "native" USV Konfigurationsdialog. Die Beckhoff USV-Geräte, die an der seriellen Schnittstelle angeschlossen werden, können auch über den Dialog Systemsteuerung->Energieoptionen->USV konfiguriert werden. Für einen Büro-PC sind die Einstellungsmöglichkeiten ausreichend, für einen Industrie-PC mit USV kann über diesen Dialog nicht immer eine optimale Konfiguration erreicht werden. Unter Windows 7 und höher ist dieser Dialog aber nicht mehr verfügbar. Aus diesem Grund gibt es unter den Systemsteuerung->Energieoptionen einen zusätzlichen Dialog: BECKHOFF USV-Konfiguration.
Über diesen Dialog können z.B. gerätespezifische Einstellungen der CP903x-Karte oder ein Firmware-Update der P24Vxxxx USV durchgeführt werden. Außerdem kann über den zusätzlichen Dialog die maximale "auf Batterie-Zeit" auf < 2min und die Verzögerungszeit für das Abschalten der USV konfiguriert werden.

Unter NT4.0 kann der USV-Konfigurationsdialog über die Verknüpfung unter Start->Systemsteuerung->BECKHOFF USV-Konfiguration aufgerufen werden (Start->Control Panel->BECKHOFF UPS Configuration).

Die Konfigurationseinstellungen der USV können nur vom Benutzer mit Administratorrechten vorgenommen werden. Für andere Benutzer sind die entsprechenden Dialoge gesperrt.

Status: Zeigt die wichtigsten Informationen über die aktuelle Spannungsversorgung und verbliebene Akkulaufzeit.

Power-Fail-Zähler: Ab der USV-Softwareversion >= 3.0.0.6. Der Zähler wird beim USV-Dienst-Start auf Null gesetzt und zählt die vom USV-Dienst erkannte Stromausfälle.

Details: Zeigt die aktuell konfigurierte USV-Modellbezeichnung und den Namen des Herstellers. Herstellername "(None)" bedeutet: USV Dienst ist nicht konfiguriert und deaktiviert.

Sprachumschaltung: Ab der USV-Softwareversion >= 2.0.0.9 kann die Sprache der USV-Dialoge zur Laufzeit umgeschaltet werden .Die Spracheinstellungen werden dauerhaft für alle Benutzer gespeichert wenn sie von einem Benutzer mit Administratorrechten geändert wurden. Alle anderen Benutzer können die Sprache zwar ändern, die Einstellung wird aber nicht dauerhaft gespeichert.

Die Spracheinstellung "User Default" hat eine besondere Bedeutung. Es wird empfohlen diese Einstellung auf einem Betriebssystem mit einem Multilingual User Interface (MUI) zu verwenden. Der USV-Dialog erscheint dann automatisch in der Sprache, die Sie unter Systemsteuerung->Regionaleinstellungen für die UI Dialoge eingestellt haben.

Wenn eine Sprache von dem Beckhoff USV-Dialog nicht unterstützt wird erscheint der Dialog in US English.

Auswählen...

USV-Info...

Gerätekonfiguration...

Alarmkonfiguration...

Erweitert...

Über...

Hilfe...


Systemverhalten

USV Softwarekomponenten - Referenz

Systemverhalten: Beckhoff Miniport-Treiber für den Windows USV-Dienst

Definitionen:

Kurzer Stromausfall: tBatt < tCA

Langer Stromausfall: tBatt >= tCA

Wert | Beschreibung | Eigenschaften
tBatt Zeit, in der das System auf Batteriespannung betrieben wird. Variabel, abhängig von der Länge des Stromausfalls.

Bei tBatt >= tCA beginnt der USV-Dienst unwiderruflich mit dem Shutdown.

tCA Maximale Zeit auf Batteriespannung vor dem kritischen Alarm. Nach Ablauf dieser Zeit beginnt der USV-Dienst unwiderruflich mit dem Shutdown. Konfigurierbar in Minuten (ab Windows 7 auch in Sekunden) über den Beckhoff-USV-Konfigurationsdialog.
Bei tCA = 0 beginnt der USV-Dienst sofort mit dem Shutdown.
tSDtask Ein Zeitfenster, das der USV-Dienst einer Shutdown-Applikation (Shutdown task) zur Verfügung stellt. Nicht konfigurierbar, fest und auf maximal 30 Sekunden begrenzt.
  • NT4: tSDtask = 0 wenn keine Shutdown-Applikation konfiguriert wurde und
    tSDtask = tSDapp wenn eine Shutdown-Applikation konfiguriert wurde.
  • Alle anderen Betriebssysteme: tSDtask benötigt immer 30 Sekunden.
tSDapp Zeit, die von der Shutdown-Applikation (Shutdown task) tatsächlich benötigt wurde. Variabel, abhängig von den Eigenschaften der Applikation. Maximal aber auf 30 Sekunden begrenzt. Nach 30 Sekunden wird der Shutdown unwiderruflich fortgesetzt.

tSDapp sollte immer < Maximum von tSDtask sein.

tTCstop Diese Zeit wird benötigt um das TwinCAT System zu stoppen. In dieser Zeit stoppt der USV-Dienst alle TwinCAT server. Variabel, abhängig von der Anzahl der konfigurierten TwinCAT Server. Maximal aber auf 45 Sekunden begrenzt. Spätestens nach 45 Sekunden wird Shutdown unwiderruflich fortgesetzt.

tTCstop = 0 wenn kein TwinCAT installiert oder bereits vorher gestoppt wurde.

tUPSoff Verzögerungszeit für das Abschalten der USV. Nachdem der USV-Dienst alle eigenen Shutdown-Tasks abgeschlossen hat wird mit dem eigentlichen Shutdown des Betriebssystems begonnen. Mit dem Beginn dieser Zeit übernimmt das Betriebssystem die Kontrolle und führt den weiteren Shutdown durch (Fensterapplikationen und Dienste inklusive des USV-Dienstes werden geschlossen und das System komplett heruntergefahren). Nach Ablauf dieser Zeit schaltet die USV die Ausgänge und den IPC unwiderruflich ab, um die Batterie zu schonen. Konfigurierbar über den Beckhoff-USV-Konfigurationsdialog. Die verfügbaren Werte sind hardwarespezifisch.

tUPSoff sollte immer > tSDwin sein.

tSDsrv | Zeit, die von dem USV-Dienst benötigt wird um eigene Shutdown-Tasks durchzuführen. | tSDsrv = tSDtask + tTCstop
tSDwin | Zeit, die das Betriebssystem benötigt um einen Shutdown durchzuführen. | Variabel, abhängig von der Anzahl der laufenden Applikationen die geschlossen werden müssen.
tDlg Bei Systemen ohne Soft-Power-Off-Funktionalität (z.B. NT4):
  • Zeit in der der Dialog: "Its now safe to turn off your computer" eingeblendet wird.

Bei Systemen mit Soft-Power-Off-Funktionalität (z.B. XP):

  • Mit Beckhoff P24Vxxxx USV: tDlg = 0, die USV schaltet die Ausgänge und den IPC sofort aus.
  • Mit APC-USV: Zeit in der der IPC weiterhin mit USV-Spannung versorgt wird (Standby-Modus).
 Variabel, abhängig von dem verwendeten Betriebssystem, der Anzahl der laufenden Applikationen, Mainboard und der USV-Hardware:
tDlg = tUPSoff - tSDwin

tDlg sollte immer > 0 sein. Diesen Wert können Sie nur durch die Wahl von tUPSoff beeinflussen.

Bei Systemen ohne Soft-Power-Off-Funktionalität sollte der Dialog mindestens für kurze Zeit zu sehen sein bevor die USV den IPC abschaltet.

Bei Systemen mit APC-USV und Soft-Power-Off-Funktionalität sollte der IPC zuerst und dann die USV sich abschalten.

tBoot | Zeit, die das Betriebssystem beim Bootvorgang bis zum Start des USV-Dienstes benötigt. | Variabel, abhängig von der Anzahl der Applikationen und Dienste die gestartet werden müssen.

Langer Stromausfall im Betrieb (tBatt >= tCA)

Der USV-Dienst ist gestartet und aktiv. Bei einem langen Stromausfall beginnt der USV-Dienst unwiderruflich mit dem Shutdown.

Kurze Stromausfälle im Betrieb (tBatt < tCA)

Der USV-Dienst ist gestartet und aktiv. Kurze Stromausfälle werden durch die USV überbrückt. Ein Shutdown durch den USV-Dienst wird nicht initiiert.

Stromausfall beim Bootvorgang

Der USV-Dienst ist zu diesem Zeitpunkt noch nicht aktiv. Die USV schaltet automatisch auf Batteriebetrieb um und überbrückt so den Stromausfall. Der PC wird auf Batteriespannung hochgefahren. Handelt es sich aber um einen längeren Stromausfall dann übernimmt der USV-Dienst nach dem Start die Kontrolle und beginnt mit dem Shutdown.

Spannungswiederkehr und erneute Stromausfälle während des USV-Shutdowns

Folgende Grafik zeigt den Fall in dem der USV-Dienst einen Shutdown durchführt und die Spannung während des Shutdowns wiedergekehrt ist.

Nachdem der USV-Dienst mit dem Shutdown begonnen hat, kann dieser Vorgang nicht mehr gestoppt werden und wird konsequent bis zum Ende durchgeführt. Erneute Stromausfälle während des Shutdowns werden von der USV überbrückt. Um ein erneutes Wiederanlaufen des IPCs zu ermöglichen, wird auch bei einer vorhandenen externen Spannungsversorgung diese kurz (für einige Sekunden) unterbrochen.


USV Modellauswahl

USV Softwarekomponenten - Referenz

Auswählen-Dialog

Über diesen Dialog kann den USV-Hersteller und das USV-Modell ausgewählt werden. Bitte bestätigen Sie die Auswahl mit Fertig stellen und dann Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet/restartet oder gestoppt. Herstellerauswahl "(None)" stoppt den USV-Dienst.

Beckhoff HID UPS-Modellauswahl

CU8130-0240, CU8130-0120, CU8110-0120 ab der USV-Softwareversion >= 5.0.0.1.

Beckhoff BAPI v1-Modellauswahl

CA2000-0021 ab der USV-Softwareversion >= 3.0.0.22.
CA2000-0025 ab der USV-Softwareversion >= 3.0.0.23.
CA2000-0026 ab der USV-Softwareversion >= 3.0.0.24.

Beckhoff P24Vxxxx-Modellauswahl

Bitte wählen Sie den passenden COM-Port aus.

Beckhoff CX2100-09xx-Modellauswahl

Beckhoff CP903x-Modellauswahl

Bei der CP903x USV muss die richtige ISA/PCI-Adresse konfiguriert werden.

Suchen: Über den Suchen-Button können Sie nach der richtigen Adresse der CP903x ISA- bzw. PCI-Karte suchen, wenn Sie eins der integrierten 24V USV-Geräte an der CP903x-Karte besitzen und diese für den USV-Service konfigurieren möchten.

In einem PC können mehrere CP903x-Karten eingebaut werden, die USV ist aber nur mit einer der Karten physikalisch verbunden. Über den Suchen-Button kann nach allen CP903x-Karten gesucht werden. Anschließend muss die richtige Karte ausgewählt werden.

APC-Modellauswahl

Bitte wählen Sie den passenden COM-Port aus.


USV-Info-Dialog

Auf diesem Dialog werden die detaillierten USV-Informationen angezeigt. Je nach Hersteller/Model sind mehr oder weniger Informationen verfügbar.

USV/Netzteil:

  • Hersteller: Herstellername.
  • Model: Modelbezeichnung.
  • Firmwarerevision: Firmwareversion.
  • Seriennummer: Seriennummer.
  • Letzter Akku-Wechsel/Service: [dd.mm.yy] oder [mm/dd/yy].
  • Akku-Ladezustand: [%]
  • Verbliebene Akkulaufzeit: [min]
  • Interne Temperatur: [°C].
  • Ladestrom: [A].
  • USV-Lüfterstatus: Werte: OK (Lüfter in Ordnung) oder ERROR (Lüfter nicht in Ordnung). Nur bei Beckhoff P24Vxxxx mit Firmwareversion >= 45.1.I verfügbar.
  • USV-Lüftergeschwindigkeit: Nur bei Beckhoff P24Vxxxx mit Firmwareversion >= 45.1.I verfügbar. Die Nominaldrehzahl des Lüfters beträgt ~3000 RPM oder ~10000 RPM.
  • Akkuspannung: [V].
  • Akku-Nominalspannung: [V].
  • Eingangsspannung: [V].

Intelligenter Akku (z.B. bei CX2100-0914 USV):

  • Seriennummer: Seriennummer.
  • Hardware Ver.: [major.minor-build].
  • Akku-Nennkapazität: [mAh].
  • Herstellungsdatum: [dd.mm.yyyy].
  • Sicherung: Werte: OK (Sicherung in Ordnung) oder ERROR (wenn Sicherung durchgebrannt oder nicht vorhanden). Dieser Wert ist nur in der neueren, zweiten Generation der Hardware/Firmware verfügbar. Implementiert in der Beckhoff USV Software version >= 3.0.018.
  • Übertemperatur: Werte: OK (keine Übertemperatur) oder ERROR (wenn Übertemperatur aufgetreten ist und das Laden dadurch unterbrochen wurde).. Dieser Wert ist nur in der neueren, zweiten Generation der Hardware/Firmware verfügbar.. Implementiert in der Beckhoff USV Software version >= 3.0.018.
  • Untertemperatur: Werte: OK (keine Untertemperatur) oder ERROR (wenn Untertemperatur aufgetreten ist und das Laden dadurch unterbrochen wurde).. Dieser Wert ist nur in der neueren, zweiten Generation der Hardware/Firmware verfügbar.. Implementiert in der Beckhoff USV Software version >= 3.0.018.


Gerätekonfiguration-Dialog

Dialog mit gerätespezifischen Einstellungen.

Einstellung/Befehl Bereich Standardwert Beschreibung USV-Softwareversion USV-Hardware/Firmware
Akku-Typ (Kombobox) C9900-U330,
C9900-U332,
User-Defined 		C9900-U330 Konfiguriert das verwendete Beckhoff-Akkku-Pack. v3.0.0.13 Beckhoff P24Vxxxx-USV ab der Firmwareversion: >= 24.1.I.
Akku-Typ (Editierfeld) 0..99 1 Wird benötigt um z.B. die verbliebene Akkukapazität im Akkubetrieb berechnen zu können. - Beckhoff P24Vxxxx-USV ab der Firmwareversion: >= 24.1.I.
Akku-Nennkapazität 0..99900 [mAh] 3400 Wird benötigt um z.B. die verbliebene Akkukapazität im Akkubetrieb berechnen zu können. - Beckhoff P24Vxxxx-USV ab der Firmwareversion: >= 24.1.I.
Akku-Innenwiderstand 0..999 [mOhm] 120 Wird benötigt um z.B. die verbliebene Akkukapazität im Akkubetrieb berechnen zu können. - Beckhoff P24Vxxxx-USV ab der Firmwareversion: >= 24.1.I.
Akkuwechsel Interval-Service 0..480 [Monate] 60 (5 Jahre)

und checkbox nicht angewählt

Hierüber kann ein Interval-Service konfiguriert werden nach dessen Ablauf Akkuwechsel-Warnungen in die Windows Ereignisanzeige geschrieben werden.

Benutzen Sie die Checkbox um die Funktion zu aktivieren oder sie zu deaktivieren. In dem Edit-Feld muss zusätzlich auch die Anzahl der Monate vor der ersten Warnung konfiguriert werden.

Die Funktion ist nur verfügbar wenn das Datum des letzten Akkuwechsels und die Windows Systemzeit (in der Taskleiste) auch richtig gesetzt/konfiguriert wurde.

Der USV-Dienst vergleicht beim Start das Datum des letzten Akkuwechsels + Interval-Service mit dem Systemdatum. Bei einer Überschreitung wird eine Warnung in die Ereignisanzeige geschrieben.

Die Warnung gibt keine Auskunft über den tatsächlichen Akkuzustand und kann nur als Erinnerung benutzt werden den Akkuzustand/Akkualter zu prüfen.

v3.0.0.8 Beckhoff P24Vxxxx-USV.
Letzter Service: 01.01.11*

-

- Zeigt das Datum des letzten Akkuwechsels (letzter Service war am 1 Januar 2011). - -
Nächster Service: 01.01.16*

-

- Zeigt das voraussichtliche Datum des nächsten Akkuwechsels (nächster Service ist fällig am 1 Januar 2016). - -
Interval-Service-Meldung zurücksetzen...

-

- Aktualisiert das Datum des letzten Akkuwechsels und setzt die Interval-Service-Meldung zurück. Das Datum wird im EEPROM der USV abgelegt und kann auf dem USV-Info-Dialog überprüft werden. - Nur für die Beckhoff P24Vxxxx und einige APC-Geräte.
setze auf: 25.05.12*

-

- Zeigt das Datum an welches beim Zurücksetzen der Service-Meldung vorgeschlagen wird. Der letzte Akkuwechsel/Service wird auf dieses Datum aktualisiert (das aktuelle Datum ist 25 Mai 2012). - -
Firmwareupdate... - - Startet ein Update der Firmware.

Starten Sie nur dann ein Firmwareupdate wenn Sie tatsächlich über eine passende neue Firmwaredatei verfügen.

Beckhoff BAPI v1 ab v3.0.0.25 und höher Beckhoff P24Vxxxx ab der Firmwareversion: >= 21.1.I.
Beckhoff BAPI v1 ab der Firmwareversion: >= 33.12-0.
Selbsttest - - Nur für die Beckhoff P24Vxxxx und einige APC-Geräte. Führt einen Selbsttest durch und zeigt das Ergebnis an:
  • "OK" - Test erfolgreich, die Batterie ist OK;
  • "BT" - Fehlgeschlagen wegen einer nicht ausreichenden Batteriekapazität oder es ist gar keine Batterie vorhanden\angeschlossen;
  • "NG" - Fehlgeschlagen wegen Überlast;
  • "NA" - Testfunktion ist nicht vorhanden;
 - -
Fabrikeinstellungen - - Stellt die Fabrikeinstellungen oder Standardwerte wieder her. Bitte beachten Sie daß dabei C9900-U330 als Akku-Typ konfiguriert wird! Überprüfen Sie Ihre tatsächliche Akku-Typ Konfiguration. v3.0.0.8 -
OK - - Speichert die Einstellungen und schliesst den Dialog. Vergessen Sie bitte nicht die Einstellungen auf dem Beckhoff-USV Konfigurationsdialog ebenfalls zu übernehmen. - -
Abbrechen - - Verwirft alle editierbare Änderungen. - -

*) Beispielwerte


Alarmkonfiguration-Dialog

Zeigt den Dialog mit den Einstellungen für das Systemverhalten beim Spannungsausfall. Unter Win2K/XP/XPe entsprechen die Einstellungen auf diesem Dialog größtenteils den gleichen Einstellungen auf dem Standard Systemsteuerung->Energieoptionen->USV->Konfigurieren...-Dialog.

Einstellung/Befehl | Bereich | Standardwert | Beschreibung | USV-Softwareversion
Alle Benachrichtigungen aktivieren | Deaktiviert oder aktiviert | Deaktiviert (Checkbox nicht angewählt) | Mit der Option kann das Betriebssystem dazu veranlasst werden, bei Power-Fail Meldungen an den Benutzer zu senden.
Sekunden zwischen dem Stromausfall und der ersten Benachrichtigung | 0..120 [s] | 5 | Die Zeit, nach der die erste Power-Fail-Benachrichtigung gesendet wird. | v2.0.0.15
Sekunden zwischen weiteren Stromausfallbenachrichtigungen | 0..300 [s] | 20 | Der Zeitabstand, in dem weitere Meldungen an den Benutzer gesendet werden. | v2.0.0.15
Kritischer Alarm - - Der Alarm wird dann ausgelöst, wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist, oder wenn der Batteriebetrieb eine bestimmte Zeitspanne überschritten hat. -
Max. Zeit auf Akkuspannung vor kritischen Alarm 0..720 [min] 2 Wenn Sie diese Option ausgewählt haben, dann wird der USV-Service nach der eingestellten Zeit den kritischen Alarm auslösen und den PC herunterfahren. Der kritischer Alarm kann auch früher ausgelöst werden wenn die Batteriekapazität erschöpft ist. Bei einem Wert == 0 wird der PC beim Spannungsausfall sofort heruntergefahren und der OS-Shutdown kann dann nicht mehr gestoppt werden. -
Einheit für max. Zeit auf Akkuspannung vor kritischen Alarm | Sekunden, Minuten | Minuten | Sekunden sind nur verfügbar unter Windows Vista, W7, WES7, W10 (32 und 64 bit). | v3.0.0.13
Bei Alarm folgendes Programm (Task) ausführen* Deaktiviert oder aktiviert Deaktiviert (Checkbox nicht angewählt) Mit dieser Option kann beim Alarm, aber vor dem eigentlichen Shutdown eine Applikation ausgeführt werden (Task-Scheduler-Shutdown-Task). Die gefundenen Task-Scheduler-Tasks werden nach dem Anwählen dieser Option in der drunterliegenden Liste angezeigt. Anschliessend muss eine Task in der Liste ausgewählt werden. Die Default-Task mit dem Namen: "UPS System Shutdown Program" wird automatisch ausgewählt wenn sie existiert und wenn vorher noch keine andere Task konfiguriert wurde. -
Combobox (Task-Liste) | Task-Scheduler-Tasks | "UPS System Shutdown Program" | Bitte vergessen Sie nicht während der Konfiguration der Shutdown-Task den Benutzernamen und dessen Passwort zu setzen. Die Shutdown-Task wird vom Windows Task Scheduler verwaltet und kann nur in einem bestimmten Benutzerkontext ausgeführt werden. Der konfigurierte Benutzer benötigt möglicherweise spezielle Zugriffsrechte auf das System, Laufwerke usw. Wenn der konfigurierte Benutzername/Passwort dem eingelogten Benutzer entspricht dann wird die Shutdown-Task interaktiv ausgeführt (sichtbar im Vordergrund). Als System-Benutzerkonto kann auch "NT AUTHORITY\SYSTEM" eingetragen werden (system account, ein Passwort ist in diesem Fall nicht notwendig). Das System-Benutzerkonto hat vollen Zugriff auf den lokalen Rechner aber keine Rechte für den Zugriff auf andere Systeme im Netz oder gemappte Netzwerklaufwerke. Bitte benutzen Sie keine Dialog-Applikationen die Benutzereingaben benötigen. Diese würden den Shutdownvorgang nur behindern. Die Applikation sollte sich spätestens nach 30 Sekunden selbst beenden. Weitere Informationen finden Sie in der Windows Task Scheduler Dokumentation. | v3.0.0.10
Neu... - "UPS System Shutdown Program" Erstellt eine neue Task-Scheduler-Task mit einem vorgegebenen Default-Namen: "UPS System Shutdown Program". Diese Funktion ist nur unter XP verfügbar und auch nur dann wenn die Task mit dem Default-Namen in der Liste der Tasks noch nicht existiert. Unter Windows Vista und 7 benutzen Sie bitte den Task-Scheduler Dialog in der MMC (Microsoft Management Console) um eine neue Task zu erstellen. v3.0.0.10
Edit... - "UPS System Shutdown Program" Konfiguriert die Task-Scheduler-Taks welche vor der Initialisierung des Betriebssystem-Shutdowns durch den USV-Service ausgeführt werden soll. Diese Funktion ist nur unter XP-Verfügbar. Unter Windows Vista und 7 benutzen Sie bitte den Task-Scheduler Dialog in der MMC (Microsoft Management Console) um eine neue Task zu konfigurieren. v3.0.0.10
Run... - - Startet zu Testzwecken die ausgewählte Task-Scheduler-Task. Die Task wird nach max. 30 Sekunden automatisch gestoppt. Diese Funktion ist nur unter XP-Verfügbar. Unter Windows Vista und 7 benutzen Sie bitte den Task-Scheduler Dialog in der MMC (Microsoft Management Console) um die Task zu testen oder zu starten. v3.0.0.10
Task Scheduler v1.0 (nicht empfohlen) | Deaktiviert oder aktiviert | Deaktiviert (Checkbox nicht angewählt) | Aktiviert/erzwingt auf Windows Vista oder 7 Systemen die Verwendung der XP Task-Scheduler v1.0 Schnittstelle (nicht empfohlen). Unter Windows Vista und 7 bietet die Task-Scheduler v1.0 nur eingeschränkte Funktionalitäten. | v3.0.0.10
USV abschalten Deaktiviert oder aktiviert Aktiviert (Checkbox angewählt) Wenn Sie diese Option ausgewählt haben, wird die USV die Ausgänge abschalten nach dem der PC heruntergefahren wurde, um die Batterie zu schonen (default: Aktiviert). -
Verzögerungszeit fürs Abschalten der USV [s] Hardwareabhängig

siehe Tabelle unten

180 In dieser Zeit muss der PC ordnungsgemäß heruntergefahren werden. Ein interner Timer der USV zählt die Zeit vom Beginn des OS-Shutdowns hoch. Nach Ablauf dieser Zeit schaltet die USV die Ausgänge ab, um die Batterie zu schonen. Stellen Sie sicher, dass Sie den Wert nicht zu klein gewählt haben.

Die verfügbaren Verzögerungszeiten sind von Gerät zu Gerät unterschiedlich und werden aus dem Gerät ausgelesen und in der ComboBox passend eingeblendet. Damit dies möglich ist, muss der USV-Service mit dem gewünschten USV-Modell konfiguriert und gestartet worden sein.

v1.0.0.48
Erweitert... - - Erweiterte Shutdown- oder SItzungsende-Optionen für Systeme ohne Soft-Power-Off-Funktionalität (S5) (z.B. NT4). Siehe auch unter: Erweiterte Einstellungen. Die Option ist bei Systemen mit der Soft-Power-Off-Unterstützung nicht verfügbar (deaktiviert). v2.0.0.12
Fabrikeinstellungen - - Alle Einstellungen werden auf die Default-Werte zurückgesetzt. -
OK - - Speichert die Einstellungen und schliesst den Dialog. Vergessen Sie bitte nicht die Einstellungen auf dem Beckhoff-USV Konfigurationsdialog ebenfalls zu übernehmen. -
Abbrechen - - Verwirft alle editierbare Änderungen und schliesst den Dialog. -

*) Unter NT4 ist diese Option nur dann verfügbar wenn Sie den Microsoft Windows Task Scheduler installiert haben ( Bei IE4 wählen Sie Task Scheduler unter Additional Explorer Enhancements und unter IE5 wählen Sie den Offline Browsing Pack ).

Die Tabelle gibt eine kleine Übersicht der unterschiedlichen Verzögerungszeiten fürs Abschalten bei einigen USV-Modellen.

Modell | Beckhoff HID UPS | Beckhoff BAPI v1 | Beckhoff CX2100-09x4 | Beckhoff P24Vxxxx | Beckhoff CP903x | APC Back-UPS Pro 280 | APC Smart-UPS 420
Unterstützten Verzögerungszeiten in [s] | 20, 30, 45, 60, 120, 180, 300, 600 | 0 | 0 | 20, 30*, 45*, 60, 90, 180, 300, 600 *ab der Firmwareversion >=28.1.I | 0, 2, 5, 10, 15, 25, 40, 60, 90, 120, 150, 180, 210, 240, 270, 600 | 20, 180, 300, 600 | 60, 180, 300, 600

Wichtige Hinweise!

In dem USV-Treiber wird die im Dialog konfigurierte Verzögerungszeit kurz vor dem OS-Shutdown erneut überprüft . Wird dabei ein nicht unterstützter Wert gefunden, wird automatisch der nächste höhere Wert an die USV gesendet.

Beispiel:

Sie haben z.B. eine alte Back-UPS Pro 280 gegen Smart UPS 420 ausgetauscht und vorher in dem Dialog eine Verzögerungszeit von 20s konfiguriert. Die neue USV wird dann automatisch mit einer Verzögerungszeit von 60s abgeschaltet.

Gleichzeitig wird von dem USV-Treiber eine Warnung in die Windows-Ereignisanzeige (unter Applikation) geschrieben.

Ab der USV-Softwareversion v1.0.0.48 wird bei einer nicht unterstützten Verzögerungszeit beim Öffnen des Alarmkonfiguration Dialogs folgende Warnung angezeigt:

Die nicht unterstützte Verzögerungszeit wird als (not supported) in die ComboBox eingeblendet:


Erweiterte Einstellungen

USV Softwarekomponenten - Referenz

Erweiterte Einstellungen-Dialog

Folgende Einstellungen können nur auf Systemen ohne Soft-Power-Off-Unterstützung (S5 State) vorgenommen werden (z.B. auf NT4-Systemen). Ein PC-System mit Soft-Power-Off-Unterstützung kann nach dem Herunterfahren das Netzteil abschalten. Zum Sitzungsende gehört ein Shutdown oder Restart des PC's, d.h. alle Einstellungen, die sich auf das Sitzungsende beziehen gelten nicht nur für den Shutdown, sondern auch für einen eventuellen Restart des PC's.

Wenn ein NT4-System auf Netzspannung heruntergefahren wurde, dann kann danach nicht zwischen einem gewollten und einem nicht gewollten Spannungsausfall unterschieden werden. D.h. die USV-Software und Hardware weiß nicht, ob es tatsächlich einen Spannungsausfall gegeben hat, oder ob der Bediener den Hauptschalter betätigt hat (um das System komplett abzuschalten). Die USV erkennt nur einen Spannungsausfall und schaltet auf Batteriebetrieb um. Hat der Bediener aber den Hauptschalter ausgeschaltet, dann wird der PC auf Batteriespannung verbleiben und diese komplett entleeren.
Um dies zu verhindern, kann bei der Beckhoff P24Vxxxx USV der USV-Schutz nach einer Verzögerungszeit deaktiviert werden. Der PC ist während der Verzögerungszeit vor möglichen Stromausfällen geschützt. Danach bleibt der PC noch so lange eingeschaltet bis die externe Spannungsversorgung abgeschaltet wurde.

Systemverhalten beim Beenden der Sitzung durch den Benutzer: Die dazugehörenden Einstellungen bestimmen das Systemverhalten wenn das Sitzungsende nicht durch den USV-Service sondern vom Benutzer oder der Applikation eingeleitet wurde (der Benutzer hat z.B. über die Startleiste Shutdown oder Restart ausgewählt).

Sitzungsende auf Batterie: Diese Optionen bestimmen das Systemverhalten wenn der PC zu dem Zeitpunkt (Beginn vom Sitzungsende) auf Batteriespannung betrieben wurde.

Sitzungsende auf Netzspannung: Diese Optionen bestimmen das Systemverhalten wenn der PC zu dem Zeitpunkt (Beginn vom Sitzungsende) auf Netzspannung betrieben wurde.

USV aus und dann wieder an wenn Netzspannung ok: Ist diese Option angewählt, schaltet sich die USV (und der PC) nach Ablauf der Verzögerungszeit aus und sofort wieder an, wenn die externe Spannungsversorgung wieder vorhanden ist (Power ON after power fail). Es ist das Default-Verhalten für alle Systeme, d.h. auch für die Systeme mit Soft-Power-Off-Unterstützung. Die Verzögerungszeit für das Abschalten der USV muss über den Dialog Alarmkonfiguration konfiguriert werden. Wenn diese Option angewählt ist und der PC auf Batteriespannung betrieben wird, darf kein Restart des PC's durchgeführt werden! Der PC wird dann möglicherweise während der Hochlaufphase ausgeschaltet!

USV-Schutz verzögert ausschalten (nur für Systeme ohne Soft-Power-Off-Unterstützung (state S5)): Ist diese Option angewählt, dann wird der USV-Schutz nach einer konfigurierbaren Verzögerungszeit deaktiviert um ein Abschalten des PC's (z.B. über den Hauptschalter) und der USV zu ermöglichen. Diese Option wird nur von Beckhoff P24Vxxxx USV und USV-Firmwareversion >= 33.1.I unterstützt, bei anderen Modellen ist diese Option deaktiviert.

Verzögerungszeit fürs Abschalten des USV-Schutzes (s): Bei kleineren Zeiten kann der PC (und die USV) nach einem Shutdown schneller abgeschaltet werden, bei einem Restart ist der PC möglicherweise nicht während der gesamten Zeit gegen Spannungsausfälle geschützt. Bei längeren Zeiten und Shutdown muss länger gewartet werden bis der PC (und die USV) ausschaltet, dafür ist der PC bei einem Restart während der gesamten Hochlaufphase geschützt. Bei einem Restart wird der USV-Schutz vor dem Ablauf der Verzögerungszeit aktiviert wenn der USV-Service die Kommunikation mit der USV wieder aufgenommen hat. Default: 360 Sekunden.


About-Dialog

Der Dialog zeigt die Versionsinformationen der USV-Softwarekomponenten an.


Hilfe-Dialog

Aufruf des Hilfe-Dialogs:


Konfiguration der BAPI v1 USV

USV Softwarekomponenten - Referenz

Konfiguration der HID UPS

1. Öffnen Sie den BECKHOFF USV-Konfigurationsdialog und gehen Sie dann auf Auswählen....

2. Aus der Liste der Hersteller wählen Sie Beckhoff, als Modell/Schnittstelle Beckhoff HID UPS aus.

CU8130-0240, CU8130-0120, CU8110-0120 >= 5.0.0.1.

Schließen Sie den Dialog mit Fertig stellen und danach bestätigen Sie mit Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet.

3. Auf dem BECKHOFF USV-Konfigurationsdialog gehen Sie dann auf Alarmkonfiguration....

Der kritische Alarm wird dann ausgelöst wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist oder wenn der Batteriebetrieb eine bestimmte Zeit überschritten hat.

Aktivieren Sie folgende Optionen (nicht zwingend notwendig):

Alle Benachrichtigungen aktivieren: Mit der Option kann das Betriebssystem dazu veranlasst werden, beim Spannungsausfall Meldungen an den Benutzer zu senden.

Bei Alarm folgendes Programm (Task) ausführen: Mit dieser Option kann bei Alarm eine Applikation ausgeführt werden.

Aktivieren Sie folgende Optionen!:

Max. Zeit auf Akkuspannung vor kritischen Alarm: Mit dieser Option kann festgelegt werden, wie viele Minuten/Sekunden der Batteriebetrieb läuft bis der kritische Alarm ausgelöst werden soll. Erst wenn der Alarm ausgelöst wird, wird mit dem Shutdown des Betriebssystems begonnen. Um die Batterie zu schonen, sollte diese Option angewählt werden. Setzen Sie diese Zeit auf z.B. 2 Minuten. Die erlaubten Werte liegen zwischen 0-720 Minuten/Sekunden. Spätestens nach dieser Zeit wird das System bei einem Spannungsausfall heruntergefahren. Beim Wert: "0" wird nach dem Spannungsausfall sofort mit dem Shutdown begonnen.

USV abschalten: Wenn die Option angewählt ist, wird die USV nach dem Shutdown ihre Ausgänge abschalten um die Batterie zu schonen. Default: Aktiviert!.

Verzögerungszeit fürs Abschalten der USV [s]: Nach Ablauf dieser Zeit sollte das System heruntergefahren worden sein und die USV schaltet die Ausgänge aus um die Batterie zu schonen. Bei den HID UPS werden die verfügbaren Werte in der Drop-Down-Liste angezeigt. Wählen sie bitte einen Wert aus der Liste aus. Der Standardwert ist 180 Sekunden.

Schließen Sie den Dialog mit OK und dann Übernehmen auf dem Hauptdialog.

Die Konfiguration ist an dieser Stelle beendet.


Konfiguration der BAPI v1 USV

USV Softwarekomponenten - Referenz

Konfiguration der integrierten 24V USV BAPI v1

1. Öffnen Sie den BECKHOFF USV-Konfigurationsdialog und gehen Sie dann auf Auswählen....

2. Aus der Liste der Hersteller wählen Sie Beckhoff, als Modell/Schnittstelle Beckhoff BAPI v1 aus.

CA2000-0021 ab der USV-Softwareversion >= 3.0.0.22.
CA2000-0025 ab der USV-Softwareversion >= 3.0.0.23.
CA2000-0026 ab der USV-Softwareversion >= 3.0.0.24.

Schließen Sie den Dialog mit Fertig stellen und danach bestätigen Sie mit Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet.

3. Auf dem BECKHOFF USV-Konfigurationsdialog gehen Sie dann auf Alarmkonfiguration....

Der kritische Alarm wird dann ausgelöst wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist oder wenn der Batteriebetrieb eine bestimmte Zeit überschritten hat.

Aktivieren Sie folgende Optionen (nicht zwingend notwendig):

Alle Benachrichtigungen aktivieren: Mit der Option kann das Betriebssystem dazu veranlasst werden, beim Spannungsausfall Meldungen an den Benutzer zu senden.

Bei Alarm folgendes Programm (Task) ausführen: Mit dieser Option kann bei Alarm eine Applikation ausgeführt werden.

Aktivieren Sie folgende Optionen!:

Max. Zeit auf Akkuspannung vor kritischen Alarm: Mit dieser Option kann festgelegt werden, wie viele Minuten/Sekunden der Batteriebetrieb läuft bis der kritische Alarm ausgelöst werden soll. Erst wenn der Alarm ausgelöst wird, wird mit dem Shutdown des Betriebssystems begonnen. Um die Batterie zu schonen, sollte diese Option angewählt werden. Die erlaubten Werte liegen zwischen 0-720 Minuten/Sekunden. Spätestens nach dieser Zeit wird das System bei einem Spannungsausfall heruntergefahren. Beim Wert: "0" wird nach dem Spannungsausfall sofort mit dem Shutdown begonnen.

USV abschalten: Wenn die Option angewählt ist, wird die USV nach dem Shutdown ihre Ausgänge abschalten um die Batterie zu schonen. Default: Aktiviert!.

Verzögerungszeit fürs Abschalten der USV [s]: Nach Ablauf dieser Zeit sollte das System heruntergefahren worden sein und die USV schaltet die Ausgänge aus um die Batterie zu schonen. Bei den BAPI v1 Modellen ist diese Funktion nicht verfügbar und sollte auf "0" gesetzt werden.

Schließen Sie den Dialog mit OK und dann Übernehmen auf dem Hauptdialog.

Die Konfiguration ist an dieser Stelle beendet.


Konfiguration der CP903x USV

USV Softwarekomponenten - Referenz

Konfiguration der integrierten 24V USV CX2100-09x4

1. Öffnen Sie den BECKHOFF USV-Konfigurationsdialog und gehen Sie dann auf Auswählen....

2. Aus der Liste der Hersteller wählen Sie Beckhoff, als Modell/Schnittstelle Beckhoff CX2100-09xx aus.

Schließen Sie den Dialog mit Fertig stellen und danach bestätigen Sie mit Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet.

3. Auf dem BECKHOFF USV-Konfigurationsdialog gehen Sie dann auf Alarmkonfiguration....

Der kritische Alarm wird dann ausgelöst wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist oder wenn der Batteriebetrieb eine bestimmte Zeit überschritten hat.

Aktivieren Sie folgende Optionen (nicht zwingend notwendig):

Alle Benachrichtigungen aktivieren: Mit der Option kann das Betriebssystem dazu veranlasst werden, beim Spannungsausfall Meldungen an den Benutzer zu senden.

Bei Alarm folgendes Programm (Task) ausführen: Mit dieser Option kann bei Alarm eine Applikation ausgeführt werden.

Aktivieren Sie folgende Optionen!:

Max. Zeit auf Akkuspannung vor kritischen Alarm: Mit dieser Option kann festgelegt werden, wie viele Minuten der Batteriebetrieb läuft bis der Kritische Alarm ausgelöst werden soll. Erst wenn der Alarm ausgelöst wird, wird mit dem Shutdown des Betriebssystems begonnen. Um die Batterie zu schonen, sollte diese Option angewählt werden. Dieser Parameter muss für das CX20x0-09xx System auf "0" gesetzt werden. Er kann in Ausnahmefällen auf 1 Minute gesetzt werden. Die erlaubten Werte liegen zwischen 0-720 Minuten. Spätestens nach dieser Zeit wird das System bei einem Spannungsausfall heruntergefahren. Die Option entspricht der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann mit dem Unterschied, dass auch kleinere Zeiten 0 und 1Minute eingestellt werden können.

USV abschalten: Wenn die Option angewählt ist, wird die USV nach dem Shutdown ihre Ausgänge abschalten um die Batterie zu schonen. Die Option entspricht ebenfalls der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann. Default: Aktiviert!.

Verzögerungszeit fürs Abschalten der USV [s]: Nach Ablauf dieser Zeit sollte das System heruntergefahren worden sein und die USV schaltet die Ausgänge aus um die Batterie zu schonen. Muss für die CX2100-09xx auf "0" gesetzt werden.

Schließen Sie den Dialog mit OK und dann Übernehmen auf dem Hauptdialog.

Die Konfiguration ist an dieser Stelle beendet.


P24Vxxxx-Konfiguration

USV Softwarekomponenten - Referenz

Konfiguration der Beckhoff P24Vxxxx USV

1. Öffnen Sie den BECKHOFF USV-Konfigurationsdialog und gehen Sie dann auf Auswählen....

2. Aus der Liste der Hersteller wählen Sie Beckhoff, als Modell/Schnittstelle Beckhoff P24Vxxxx und den passenden COM-Port aus.

Schließen Sie den Dialog mit Fertig stellen und bestätigen Sie mit Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet.

3. Auf dem BECKHOFF USV-Konfigurationsdialog gehen Sie dann auf Alarmkonfiguration....

Der kritische Alarm wird dann ausgelöst wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist oder wenn der Batteriebetrieb eine bestimmte Zeit überschritten hat.

Aktivieren Sie folgende Optionen (nicht zwingend notwendig):

Alle Benachrichtigungen aktivieren: Mit der Option kann das Betriebssystem dazu veranlasst werden, beim Spannungsausfall Meldungen an den Benutzer zu senden (unter NT 4.0 nicht verfügbar).

Bei Alarm folgendes Programm (Task) ausführen: Mit dieser Option kann bei Alarm eine Applikation (Task) ausgeführt werden (Unter NT4.0 nur verfügbar wenn Microsoft Task Scheduler installiert wurde).

Aktivieren Sie folgende Optionen!:

Max. Zeit auf Akkuspannung vor kritischen Alarm: Mit dieser Option kann festgelegt werden, wie viele Minuten der Batteriebetrieb läuft bis der Kritischer Alarm ausgelöst werden soll. Erst wenn der Alarm ausgelöst wird, wird mit dem Shutdown des Betriebssystems begonnen. Um die Batterie zu schonen, sollte diese Option angewählt werden. Setzen Sie die "Batterie-Zeit" auf z.B. 2 Minuten. Die erlaubten Werte liegen zwischen 0-720 Minuten. Spätestens nach dieser Zeit wird das System bei einem Spannungsausfall heruntergefahren. Die Option entspricht der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann mit dem Unterschied, dass auch kleinere Zeiten 0 und 1 Minute eingestellt werden können.

USV abschalten: Wenn die Option angewählt ist, wird die USV nach dem Shutdown ihre Ausgänge abschalten um die Batterie zu schonen. Die Option entspricht ebenfalls der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann. Default: Aktiviert!.

Verzögerungszeit fürs Abschalten der USV [s]: Nach Ablauf dieser Zeit sollte das System heruntergefahren worden sein und die USV schaltet die Ausgänge aus um die Batterie zu schonen.

Folgende Einstellungen gelten nur für Systeme ohne Soft-Power-Off-Unterstützung (z.B. NT4) und USV-Firmwareversion >= 33.1.I.

4. Auf dem Alarmkonfiguration-Dialog wählen Sie Erweitert... aus.

Konfigurieren Sie die Optionen wie abgebildet.
Es wird angenommen, daß der PC innerhalb von 360 Sekunden ein Restart durchführen kann. Der USV-Schutz ist während dieser Zeit aktiv. Wird von dem PC mehr Zeit benötigt, dann muss ein entsprechend höherer Wert eingestellt werden. Schließen Sie den Dialog mit OK.

5. Schließen Sie den Alarmkonfiguration-Dialog mit OK und bestätigen Sie mit Übernehmen auf dem Hauptdialog.

Die Konfiguration ist an dieser Stelle beendet.


P24Vxxxx Firmwareupdate

USV Softwarekomponenten - Referenz

Firmware Update bei der Beckhoff P24Vxxxx USV

Um die Firmware der P24Vxxxx USV zu aktualisieren müssen folgende Schritte durchgeführt werden:

1. Konfigurieren Sie die USV wie gewohnt über den BECKHOFF USV-Konfigurationsdialog. Der PC darf während des Updates nicht auf Batteriespannung betrieben werden. Die neue Firmware-Datei kann nicht von einem Netzwerklaufwerk geladen werden. Bitte kopieren Sie die Datei auf die lokale Festplatte. Beenden Sie alle laufenden Applikationen. Ein Firmwareupdate kann bei dieser USV erst ab der Firmwareversion: >= 21.1.I durchgeführt werden!

2. Gehen Sie zu dem BECKHOFF USV-Konfiguration-Dialog und wählen Sie Gerätekonfiguration...

3. Wählen Sie Firmwareupdate...

Lesen Sie bitte die Hinweise aufmerksam durch. Mit No können Sie das Update noch abbrechen oder mit Yes fortsetzen.

4. Als nächstes werden Sie nach der neuen Firmwaredatei gefragt.

In dem Datei-Öffnen-Dialog navigieren Sie bitte zu der neuen Firmwaredatei und wählen Sie diese aus.

(In älteren USV-Softwareversionen werden Sie nach einem Schlüsselwort gefragt und erst Später nach der neuen Firmwaredatei)

5. Die aktualisierung der Firmware wurde jetzt initiert. Jetzt müssen Sie den PC runterfahren und die Spannungsversorgung des PC's kurz unterbrechen ( Netz und Akku! ).

Wenn Sie jetzt mit OK bestätigen wird der PC automatisch heruntergefahren.

6. Nach dem Neustart gehen Sie erneut zum BECKHOFF USV-Konfiguration- Dialog

Ab der USV-Software v3.0.0.9 werden Sie automatisch gefragt ob Sie das Update fortsetzen wollen.

(In den älteren USV-Softwareversionen wählen Sie bitte erneut Gerätekonfiguration.. und dann Firmwareupdate... Geben bitte Sie erneut das Schlüsselwort und bestätigen mit OK. In dem Datei-Öffnen-Dialog wählen Sie jetzt die neue Firmwaredate aus)

7. Die neue Firmware wird dann geladen. Bitte beachten Sie, dass dieses einige Minuten dauern kann..

8. Das erfolgreiche Firmwareupdate wird durch die folgende Meldung angezeigt:

Wenn Sie jetzt mit OK bestätigen wird der PC automatisch heruntergefahren. Die Spannungsversorgung des PC's muss erneut kurz unterbrochen werden (Netz und Akku!).

Nach dem Neustart kann die neue Firmware-Version auf dem USV-Info-Dialog überprüft werden.


Konfiguration der CP903x USV

USV Softwarekomponenten - Referenz

Konfiguration der integrierten 24V USV an der CP903x-Karte

1. Öffnen Sie den BECKHOFF USV-Konfigurationsdialog und gehen Sie dann auf Auswählen....

2. Aus der Liste der Hersteller wählen Sie Beckhoff, als Modell/Schnittstelle Beckhoff CP903x aus.

Über den Suchen...-Button suchen Sie dann nach der Adresse der CP903x-Karte. Wenn mehrere Adressen gefunden werden (Sie haben mehrere CP903x-Karten im PC), müssen Sie die richtige Adresse aus der Liste auswählen und den Dialog mit OK beenden.

Schließen Sie den Dialog mit Fertig stellen und danach bestätigen Sie mit Übernehmen auf dem Hauptdialog. Damit werden die Einstellungen übernommen und der USV-Dienst gestartet.

3. Auf dem BECKHOFF USV-Konfigurationsdialog gehen Sie dann auf Alarmkonfiguration....

Der kritische Alarm wird dann ausgelöst wenn die Batteriespannung auf einen bestimmten Pegel gesunken ist oder wenn der Batteriebetrieb eine bestimmte Zeit überschritten hat.

Aktivieren Sie folgende Optionen (nicht zwingend notwendig):

Alle Benachrichtigungen aktivieren: Mit der Option kann das Betriebssystem dazu veranlasst werden, beim Spannungsausfall Meldungen an den Benutzer zu senden (unter NT 4.0 nicht verfügbar).

Bei Alarm folgendes Programm (Task) ausführen: Mit dieser Option kann bei Alarm eine Applikation ausgeführt werden (Unter NT4.0 nur verfügbar wenn Microsoft Task Scheduler installiert wurde).

Aktivieren Sie folgende Optionen!:

Max. Zeit auf Akkuspannung vor kritischen Alarm: Mit dieser Option kann festgelegt werden, wie viele Minuten der Batteriebetrieb läuft bis der Kritische Alarm ausgelöst werden soll. Erst wenn der Alarm ausgelöst wird, wird mit dem Shutdown des Betriebssystems begonnen. Um die Batterie zu schonen, sollte diese Option angewählt werden. Setzen Sie die "Batterie-Zeit" auf z.B. 2 Minuten. Die erlaubten Werte liegen zwischen 0-720 Minuten. Spätestens nach dieser Zeit wird das System bei einem Spannungsausfall heruntergefahren. Die Option entspricht der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann mit dem Unterschied, dass auch kleinere Zeiten 0 und 1Minute eingestellt werden können.

USV abschalten: Wenn die Option angewählt ist, wird die USV nach dem Shutdown ihre Ausgänge abschalten um die Batterie zu schonen. Die Option entspricht ebenfalls der gleichen Option die man auch über den Standard-USV-Dialog einstellen kann. Default: Aktiviert!.

Verzögerungszeit fürs Abschalten der USV [s]: Nach Ablauf dieser Zeit sollte das System heruntergefahren worden sein und die USV schaltet die Ausgänge aus um die Batterie zu schonen.

Schließen Sie den Dialog mit OK und dann Übernehmen auf dem Hauptdialog. Die Konfiguration ist an dieser Stelle beendet.


USV-Status in der Windows-Registry

USV Softwarekomponenten - Referenz

USV-Information in der Windows-Registry

Der USV-Service kommuniziert mit dem Beckhoff-USV-Treiber über die Windows-Registry. Sie können auf diese Informationen lesend zugreifen. Um die USV zu konfigurieren (schreiben) benutzen Sie bitte den "Beckhoff-USV-Konfigurationsdialog". Vorsicht ist geboten wenn Sie die USV-Konfiguration direkt in der Windows-Registry verändern wollen (schreiben).

Statusinformationen

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\UPS\Status

Die darunter liegenden Schlüssel werden von dem USV-Treiber bei Statusänderung der USV immer aktualisiert.

Hinweis:

Nicht jedes USV-Gerät kann alle Statusinformationen liefern. Eine Übersicht der unterstützten Statusinformationen.

Name | Typ | Beschreibung | Standardwert
BatteryCapacity | REG_DWORD | Verbliebene USV-Akkukapazität in Prozent. Dieses Element kann Werte von 0 bis 100 annehmen (der angezeigte Wert wird aufgerundet). | 0
BatteryStatus REG_DWORD Aktueller Status vom USV-Akku. Dieses Element kann folgende Werte annehmen:
  • 0 := Der Akkustatus ist unbekannt;
  • 1 := Der Akkustatus ist in Ordnung;
  • 2 := Akku muss gewechselt werden;
 0
CommStatus REG_DWORD Kommunikationsstatus zur USV. Dieses Element kann folgende Werte annehmen:
  • 0 := Die Kommunikation zur USV hat einen unbekannten Status;
  • 1 := Die Kommunikation zur USV ist in Ordnung;
  • 2 := Die Kommunikation zur USV wurde unterbrochen;
 0
FirmwareRev REG_SZ Liefert die USV-Firmwareversionsnummer als String. ""
SerialNumber REG_SZ Liefert die USV-Seriennummer als String. ""
TotalUPSRuntime | REG_DWORD | Die verbliebene USV-Akkulaufzeit in Minuten. | 0
TotalUPSRuntimeSec | REG_DWORD | Die verbliebene USV-Akkulaufzeit in Sekunden. Implementiert in der USV Software v3.0.013 und höher. | 0
UtilityPowerStatus REG_DWORD Liefert den Status der Stromversorung. Dieses Element kann folgende Werte annehmen:
  • 0 := Der Status der Stromversorgung ist unbekannt;
  • 1 := Die Stromversorgung ist in Ordnung;
  • 2 := Ein Stromausfall wurde entdeckt;
 0
TcPowerFailCnt | REG_DWORD | Stromausfallzähler. Der Zähler inkrementiert jedes mal wenn ein Stromausfall erkannt wurde. | 0
BatteryReplaceDate REG_SZ Datum des letzten Akkuwechsels. Das Datum kann mit einem Befehl auf dem Beckhoff USV-Konfigurationsdialog->Gerätekonfiguration... gesetzt werden. Implementiert in der USV-Software v3.0.0.8 und höher. ""
TcChargeFlags REG_DWORD Akku lade und status flags. Dieses Element kann einen oder mehrere Werte (bits) kombiniert annehmen:

Bits0..7 := Allgemeine Akku-Statusinformationen (wenn alle Bits Null sind => Status unbekannt).

  • Bit0 := Ladestatus "High" (Bit ist gesetzt);
  • Bit1 := Ladestatus "Low" (Bit ist gesetzt);
  • Bit2 := Ladestatus "Critical" (Bit ist gesetzt);
  • Bit3 := Ladestatus "Charging" (Bit ist gesetzt);
  • Bits4..6 := reserviert (alle Bits sind Null);
  • Bit7 := Kein Akku angeschlossen/gefunden (Bit ist gesetzt);

Bits8..15 := Spezielle Statusinformationen (alle Bits sind 0 => Status in Ordnung oder unbekannt).

  • Bit8 := USV-Lüfterfehler (Bit ist gesetzt);
  • Bit9 := Übertemperatur (Bit ist gesetzt). Implementiert in der USV-Software v3.0.0.18 und höher;
  • Bit10 := Akkuwechsel Interval-Service ist abgelaufen (Bit ist gesetzt). Implementiert in der USV-Software v3.0.0.8 und höher;
  • Bit11 := Untertemperatur (Bit ist gesetzt). Implementiert in der USV-Software v3.0.0.18 und höher.
  • Bit12 := Sicherung defekt oder nicht vorhanden (Bit ist gesetzt). Implementiert in der USV-Software v3.0.0.18 und höher;
  • Bit13 := Alarm1 (zur Zeit reserviert, Bit ist 0);
  • Bit14 := Alarm2 (zur Zeit reserviert, Bit ist 0);
  • Bit15 := Alarm3 (zur Zeit reserviert, Bit ist 0);

Bits16..31 := Zur Zeit reserviert (alle Bits sind 0);

 0

Statusinformationen eines inteligenten USV-Akkupacks (z.B.: CX2100-0914 USV-Model):

Name | Typ | Beschreibung | Standardwert
BatteryHardwareVersion | REG_SZ | Hardware-Versionsnummer. Implementiert in der USV-Software v3.0.0.13 und höher. | ""
BatteryProductionDate | REG_SZ | Herstellungsdatum des Akkupacks. Implementiert in der USV-Software v3.0.0.13 und höher. | ""
BatteryRatedCapacity | REG_DWORD | Geschätzte Akkupack-Kapazität in mAh. Implementiert in der USV-Software v3.0.0.13 und höher. | 0
BatterySerialNumber | REG_SZ | Seriennummer des Akkupacks. Implementiert in der USV-Software v3.0.0.13 und höher. | ""

Konfigurationseinstellungen

KEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\UPS\Config

Die darunter liegenden Schlüssel werden von dem USV-Dienst zur Konfiguration der USV verwendet:

Name | Typ | Beschreibung | Standardwert
Vendor | REG_SZ | USV-Herstellername | "(None)"
Model REG_SZ USV-Modellbezeichnung ""
RunTaskEnable REG_DWORD Aktiviert/deaktiviert die Konfiguration der Task-Scheduler Shutdown-Task:
  • 0 := Deaktiviert;
  • 1 := Aktiviert;
  • andere Werte sind nicht zulässig;
 0
TaskName REG_SZ Name der Task-Scheduler Shutdown-Task.

Der Beckhoff USV-Konfigurationsdialog erzeugt eine Shutdown-Task die mit dem Namen : "UPS System Shutdown Program".

""
TaskFolder REG_SZ Ordnerpfad der Task-Scheduler Shutdown-Task. Implementiert in der USV-Software v3.0.0.10 und höher.

Leerstring representiert den Root-Folder.

""
TaskCompatibility REG_DWORD Task Scheduler v1.0 Kompatibilityeinstellungen. Implementiert in der USV-Software v3.0.0.10 und höher:
  • 0 := Automatik, verwendet die neueste Task Scheduler Schnittstellenversion
    (zur Zeit v2.0);
  • 1 := Es soll explizit die Task Scheduler v1.0 verwendet werden;
  • 2 := Es soll explizit die Task Scheduler v2.0 verwendet werden;
  • andere Werte sind nicht zulässig;
 0
RunTaskWait REG_DWORD Maximale Laufzeit (Ausführungszeit) der Shutdown-Task in Sekunden. Nach Ablauf dieser Zeit wird die Shutdown-Task beendet und der Shutdown fortgeführt.

Implementiert in der USV-Software v3.0.0.8 und höher und nur unter Windows Vista, W7, WES 7 (32 und 64 bit). Bei äteren Betriebssystemen kann diese Zeit nicht verändert werden und ist fix auf 30 Sekunden festgelegt worden.

30
ShutdownOnBatteryEnable REG_DWORD Aktiviert/deaktiviert das Shutdown des Betriebssystems beim kritischen Alarm:
  • 0 := Deaktiviert;
  • 1 := Aktiviert;
  • andere Werte sind nicht zulässig;
 1
ShutdownOnBatteryWait | REG_DWORD | Maximale Laufzeit auf Akkuspannung vor dem kritischen Alarm in Minuten. Dieses Element kann Werte von 0 bis 720 annehmen. Andere Werte sind nicht zulässig. | 2
ShutdownOnBatteryWaitUnit REG_DWORD

Einheit der maximalen Laufzeit auf Akkuspannung vor dem kritischen Alarm. Implmentiert in USV-Software v3.0.0.13 und höher.

  • 0 := Sekunden. Verfügbar nur unter Windows Vista, W7, WES 7 (32 und 64 bit).
  • 1 := Minuten.
 1
NotifyEnable REG_DWORD Aktiviert/deaktiviert das Senden der Power-Fail-Meldungen an den eingeloggten Benutzer:
  • 0 := Deaktiviert;
  • 1 := Aktiviert;
  • andere Werte sind nicht zulässig;
 0
TurnUPSOffEnable REG_DWORD Aktiviert/deaktiviert das Ausschalten der USV-Ausgangsspannung nach dem Shutdown:
  • 0 := Deaktiviert;
  • 1 := Aktiviert (schaltet aus);
  • andere Werte sind nicht zulässig;
 1
TurnUPSOffWait | REG_DWORD | Maximale Verzögerungszeit fürs Abschalten der USV-Ausgangsspannung nach dem Einleiten des Windows-Shutdowns in Sekunden. Die zulässigen Werte können sich von Modell zu Modell unterscheiden (sind Hardwareabhängig). | 180
BatteryReplaceNotifyEnable REG_DWORD Aktiviert/deaktiviert das Loggen der Akkuwechsel-Serviceintervall Warnungen im Windows Eventlog:
  • 0 := Deaktiviert;
  • 1 := Aktiviert;
  • andere Werte sind nicht zulässig;
Implementiert in der USV-Software v3.0.0.8 und höher. 		0
BatteryReplaceNotifyWait | REG_DWORD | Verzögerungszeit für die erste Akkuwelchsel-Warnung in Monaten. Dieses Element kann Werte von 0 bis 480 Monaten annehmen. Andere Werte sind nicht zulässig. Implementiert in der USV-Software v3.0.0.8 und höher. | 60
TcTurnUPSProtOffWait | REG_DWORD | Maximale Verzögerungszeit fürs Abschalten des USV-Schutzes bei einem Sitzungsende (Benutzer-Shutdown oder Reset) auf Netzspannung in Sekunden. Bei kleineren Zeiten kann der PC (und die USV) nach einem Shutdown schneller abgeschaltet werden, bei einem Restart ist der PC möglicherweise nicht während der gesamten Zeit gegen Spannungsausfälle geschützt. Bei längeren Zeiten und Shutdown muss länger gewartet werden bis der PC (und die USV) ausschaltet, dafür ist der PC bei einem Restart während der gesamten Hochlaufphase geschützt. Bei einem Restart wird der USV-Schutz vor dem Ablauf der Verzögerungszeit aktiviert wenn der USV-Service die Kommunikation mit der USV wieder aufgenommen hat. Default: 360 Sekunden. | 360

Weitere Einstellungen

KEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\UPS
Name | Typ | Beschreibung | Standardwert
FirstMessageDelay | REG_DWORD | Verzögerungszeit für die erste Power-Fail-Meldung an den Benutzer in Sekunden | 5
MessageInterval | REG_DWORD | Verzögerungszeit für weitere Power-Fail-Meldungen an den Benutzer in Sekunden. | 20


UPS FAQ

USV Softwarekomponenten - Referenz

FAQ's und bekannte Probleme

Auf dieser Seite können Sie Antworten auf häufig gestellte Fragen und Hinweise auf bekannte Probleme finden.

1. Wenn die USV konfiguriert wurde und der PC heruntergefahren und neu gestartet wird (Reboot), kann es vorkommen, daß die USV während des Hochfahrens den PC plötzlich ausschaltet.

Die Information in diesem Artikel gilt für folgende Betriebssysteme (OS):
Microsoft Windows NT Workstation 4.0
Microsoft Windows NT Server 4.0
PC's mit Beckhoff P24xxxx USV

URSACHE
Während der Boot-Sequence sendet Windows NT Konfiguration- und Erkennungs-Zeichen zum COM-Port um die Baudrate und FIFO Informationen der Maus zu erkennen. Die zum COM-Port gesendeten Zeichen können Kommandos beinhalten, die die USV als Ausschaltkommandos oder Shutdown Kommandos interpretiert.

WORKAROUND
Ein zusätzlicher Schalter muss in die boot.ini hinzugefügt werden:/noserialmice:COMx
x entspricht der COM-Portnummer. Der Schalter verhindert die Mauserkennung an diesem Port.

1. Machen Sie eine Kopie von der Boot.ini datei.
2. Entfernen Sie folgende boot.ini Dateiattribute: "Versteckt", "System" und "Nur lesen".
3. Benutzen Sie einen Texteditor (Notepad) und öffnen Sie die Boot.ini Datei.
4. Fügen Sie die /NoSerialMice:COMx Option ans Ende vom jeden Eintrag der [operating systems] Sektion.
5. Speichern Sie Boot.ini und beenden Sie Notepad.
6. Setzen Sie die Dateiattribute: "Versteckt", "System" und "Nur lesen".
7. Starten Sie Windows erneut.

Beispiel für USV konfiguriert am COM4:

multi(0)disk(0)rdisk(0)partition(1)\WINNT="Windows NT"
/NOSERIALMICE:COM4

multi(0)disk(0)rdisk(0)partition(1)\WINNT="Windows NT [VGA mode]"
/basevideo /sos /NOSERIALMICE:COM4

2. Auf dem Microsoft USV- Dialog wird unter Windows 2000 der Batteriezustand: Niedrig angezeigt.

Die Information in diesem Artikel gilt für folgende OS:
Microsoft Windows 2000 (deutsch)

Der Batteriezustand Niedrig wird nur bei der deutschen Version des Betriebssystems angezeigt. Bei einem englischen Betriebssystem zeigt das gleiche Gerät den Wert: Good. Möglicherweise wurden die englischen Resourcen ins Deutsche nicht richtig übersetzt.

3. Während des Herunterfahrens meldet der Windows XP oder XP embedded USV-Service einen Applikationsfehler.

Die Information in diesem Artikel gilt für folgende OS:
Microsoft Windows XP Professional
Microsoft Windows XP Home Edition
Microsoft Windows XP Embedded

WORKAROUND
Bitte installieren Sie mindestens den Windows XP Service Pack 1. Danach dürfte der Fehler nicht mehr auftreten. Die Ursache liegt in einer fehlerhaften Datei: Ups.exe.

4. Funktioniert die Beckhoff USV-Software auch mit Windows XP Home Edition?

Ja. Das letzte Service Pack muss installiert werden.

5. Kann ich den integrierten Windows NT4 USV-Konfigurationsdialog in der Systemsteuerung ausblenden (deaktivieren)?

Die Information in diesem Artikel gilt für folgende OS:
Microsoft Windows NT Workstation 4.0
Microsoft Windows NT Server 4.0

Ja, über einen Registry Eintrag:

Fügen Sie einen neuen Schlüssel: [HKEY_CURRENT_USER\Control Panel\Don't Load]
und darunter eine neue Zeichenfolge: "UPS.cpl"="no" ein.

6. Bei einem Spannungsausfall werden keine Benachrichtigungen an den Benutzer gesendet obwohl diese Option auf dem Alarmkonfigurationsdialog aktiviert wurde.

Die Information in diesem Artikel gilt für folgende OS:
Microsoft Windows XP SP2

Die Benachrichtigungen werden intern von dem Microsoft-USV-Dienst mit Hilfe des Nachrichtendienstes verschickt. D.h. der Beckhoff-USV-Treiber verschickt die Nachrichten nicht selber. Zum Verschicken der Benachrichtigungen wird vom Microsoft-USV-Dienst ein ähnlicher Mechanismus benutzt wie bei dem net send Befehl.

Erst wenn Sie auf dem betroffenem PC eine Nachricht an sich selbst mit net send senden können, kann der USV-Dienst auch Benachrichtigungen an den Benutzer senden.

Stellen Sie sicher, dass folgende Dienste unter Start->Settings->Control Panel->Administrativ Tools->Services gestartet sind. Die Startart sollten sie auf Automatic setzen:

- Messenger

- Alerter

- Workstation

Prüfen Sie mit folgendem Kommandozeilenbefehl die Verfügbarkeit der Alias-Namen. Nur an die Alias-Namen werden die Benachrichtigungen gesendet:

C:\>net name

Name
-------------------------------------------
COMPUTER1
HUGO
The command completed successfully.

C:\>

In dem oberen Beispiel existieren zwei Einträge: COMPUTER1 und HUGO. Nur an diese Alias-Namen können Nachrichten verschickt werden.

Sind keine Einträge vorhanden, hilft nur folgender Workaround mit der zusätzlichen Installation eines Loopback-Adapters:

1. Start->Settings->Control Panel->Add Hardware auswählen.

2. Im nächsten Dialog wählen Sie die Option, dass Sie die Hardware bereits angeschlossen haben und bestätigen dies mit Next.

3. Aus der Liste der installieren Hardware wählen Sie: Add a new hardware device und bestätigen Sie mit Next.

4. Im nächsten Dialog lassen Sie nicht nach der neuen Hardware suchen, sondern Sie wählen die Option mit der Sie die Hardware manuell installieren können (Advanced). Danach bestätigen Sie mit Next.

5. Aus der Liste der Gerätetypen wählen Sie: Network adapters und bestätigen erneut mit Next.

6. Als Hersteller wählen Sie Microsoft und als Gerät Microsoft Loopback Adapter. Bestätigen Sie weitere Dialoge mit Next und Finish.

7. Als nächstes wählen Sie Start->Settings->Network connections aus. Geben Sie dem Loopback-Adapter eine fiktive IP-Adresse. Bestätigen Sie die Dialoge mit OK.

8. Zum Schluß prüfen Sie erneut mit net name die Alias-Namen.

7. Der IPC kann über den externen Power-Off-Schalter nicht herunter gefahren werden

Die Information in diesem Artikel gilt für folgende OS:
Microsoft Windows XP

Das unten beschriebene Verhalten gilt nicht für den USV-Shutdown beim Stromausfall. Beim Stromausfall wird der IPC immer herunter gefahren, auch wenn Logon-/Passwortgeschützter-Bildschirmschoner oder Computer-Lock aktiv ist.

a) Der Logon-Bildschirmschoner ist aktiv.

Die Funktion des Power-Off-Buttons wird unterdrückt wenn der Logon-Bildschirmschoner aktiv ist. Der IPC kann über den externen Schalter nicht ausgeschaltet werden. Sobald die Maus bewegt wird, fängt der PC an herunter zu fahren.

WORKAROUND:
in der Registry HKEY_CURRENT_USER\Control Panel\Desktop\ScreenSaverActive auf 0 setzen. Diese Einstellung deaktiviert nur den Logon-Bildschirmschoner nicht den Bildschirmschoner beim eingeloggten Benutzer. Wenn im Logon-Dialog trotzdem der Bildschirm geschont werden soll dann kann unter den Energieoptionen das System so konfiguriert werden, dass der Monitor nach einer gewissen Zeit ausgeschaltet wird.

b) Ein Passwortgeschützter-Bildschirmschoner ist aktiv.

Die Funktion des Power-Off-Buttons wird unterdrückt wenn ein Benutzer eingeloggt ist und ein Passwortgeschützter-Bildschirmschoner aktiv ist. Der IPC kann über den externen Schalter nicht ausgeschaltet werden. Das Verhalten ist richtig, und verhindert dass eine fremde Person den IPC in Abwesenheit des Benutzers ausschaltet.

WORKAROUND:
Vergeben Sie kein Bildschirmschoner-Passwort oder geben Sie zuerst das Passwort ein bevor Sie den Power-Off-Schalter betätigen.

c) Ein anderer Benutzer über Remote-Desktop ist eingeloggt.

Wenn ein Benutzer über Remote-Desktop eingeloggt ist wird die Funktion des Power-Off-Buttons unterdrückt. Es erscheint eine Meldung, dass ein anderer Benutzer eingeloggt ist und dieser Daten verlieren könnte. Es gibt keinen Workaround für dieses Verhalten. Erst wenn die Meldung bestätigt wurde (trotzdem Shutdown durchführen) kann der IPC herunter gefahren werden.

d) Lock-Computer wurde ausgewählt.

Wenn der Lock-Computer ausgewählt wurde (es erscheint auch der Logon-Screen mit der Passworteingabe) dann wird die Funktion des Power-Off-Button unterdrückt. Es gibt keinen Workaround für dieses Verhalten. Das Verhalten ist richtig, und verhindert dass eine fremde Person den IPC in Abwesenheit des Benutzers ausschaltet.

8. Zugriff verweigert, fehlende Kommunikation zur USV bei der Benutztung der Bildschirmtastatur (On-screen keyboard).

Es können Probleme auftreten wenn die Bildschirmtastatur beim Hochfahren des PC's automatisch gestartet wird und die USV am COM1 angeschlossen wurde. Die Bildschirmtastatur kann so konfiguriert werden das Eingaben über eine serielle Maus gemacht werden können. In diesem Fall versucht die Bildschirmtastatur, die COM1-Schnittstelle zu öffnen und zu benutzen. Die USV-Software versucht die Schnittstelle ebenfalls zu benutzen und meldet einen Win32 API Fehlercode: Access is denied (0x5) im Windows Application Log. Bitte überprüfen Sie auch andere laufende Applikation und stellen Sie sicher, dass diese die COM-Schnittstelle nicht belegen.

WORKAROUND:
Ändern Sie die Konfiguration der Bildschirmtastatur um diesen Fehler zu umgehen:

1. Starten Sie den On-screen keyboard (OSK).

2. Im Menue von OSK wählen Sie 'Settings->typing mode' aus.

3. Wählen Sie 'Joystick or key to select' und dann 'Advanced' aus.

4. Entfernen Sie das Häkchen bei 'Serial, parallel, or game port'.

5. Wählen Sie 'OK' im 'Scanning Options' -Dialog.

6. Wählen Sie 'Click to select' Im 'Typing Mode' -Dialog.

7. Wählen Sie 'OK' im 'Typing Mode' -Dialog.

9. Die "UPS Shutdown Program" Task Scheduler Task wird nicht ausgeführt nachdem die Task für "Windows 7, Windows 2008 R2" or "Windows Vista, Windows Server 2008" konfiguriert wurde.

Die Information in diesem Artikel gilt für folgende OS:
Windows Vista
Windows 7
Windows 2008
Windows 2008 R2

ZUR URSACHE:

Der Beckhoff-USV-Konfigurationsdialog generiert und konfiguriert eine Shutdown-Task für die Verwendung mit Task Scheduler v1.0 Interface. Wenn diese Task mit Hilfe der Task Scheduler GUI z.B.für Windows 7 oder Windows Vista konfiguriert wurde dann kann diese Task nur in Verbindung mit Task Scheduler v2.0 Interface verwendet werden. Ältere Implementierungen der "Beckhoff USV-Software" unterstützten nur das Task Scheduler v1.0 Interface.

WORKAROUND:

Führen Sie bitte ein Update der "Beckhoff USV-Software" auf Version >= 3.0.0.10 durch. Die neue Version unterstützt auch die Task Scheduler v2.0 Interface.


Installation des Batterie-Treibers unter Windows CE

Windows CE USV Softwarekomponenten - Referenz

Installation

Beckhoff Industrie PCs mit Windows CE und 24V USV-Unterstützung werden mit einem speziellen Beckhoff Batterie-Treiber für Windows CE ausgeliefert. Der Treiber ist bei diesen Geräten in dem standard CE Image enthalten. Die USV-Hardware ist intern mit der Board-Elektronik fix verdrahtet, nur der externe USV-Akku-Pack muss an das Gerät angeschlossen werden (siehe Beschreibung in der Gerätedokumentation).

Im Auslieferungszustand ist die USV-Funktion deaktiviert. Um die USV-Funktion zu aktivieren folgen Sie bitte den Hinweisen zur Konfiguration der USV.

Update

Für ein Update benötigen Sie eine CAB-Datei. Diese Datei beinhaltet die Windows CE-Treiberkomponenten.

Kopieren Sie die CAB-Datei auf das Zielgerät ins "\Hard Disk\System"-Verzeichniss. Führen Sie die CAB-Datei mit einem Doppelklick aus.

Bestätigen Sie alle nachfolgenden Dialoge mit OK.

Zum Schluss führen Sie ein Reset (Reboot) des Systems aus. Der neue Treiber ist danach betriebsbereit, die USV-Funktion ist aber deaktiviert..

Um die USV-Funktion zu aktivieren folgen Sie bitte den Hinweisen zur Konfiguration der USV.


Konfiguration des Batterietreibers für Windows CE

Windows CE USV Softwarekomponenten - Referenz

Konfiguration

Im Auslieferungszustand ist die USV-Funktion deaktiviert. Die Modellkonfiguration und die Aktivierung der USV-Funktion wird wird über eine Registry-Datei durchgeführt.

Vordefinierte Registry-Dateien für unterschiedliche USV-Modelle befinden sich im "\Hard Disk\RegFiles\Samples\UPS"-Verzeichniss.

Modellkonfiguration und Aktivierung der USV-Funktion

Führen Sie bitte die passende Reg-Datei mit einem Doppelklick aus. Danach muss das Gerät neu gestartet werden.

  • Enable_Beckhoff_CX2100-09xx_UPS.reg => Aktiviert und konfiguriert die CX2100-0904- oder CX2100-0914-USV-Modelle.
  • Enable_Beckhoff_P24Vxxx_UPS.reg =>Aktiviert und konfiguriert die Beckhoff P24VxxxW-USV-Modelle.

Folgende Reg-Dateien haben eine besondere Bedeutung:

  • Disable_UPS.reg => Deaktiviert die USV-Funktion.
  • Reset_UPS_Service_Interval_Reminder.reg => Setzt die Batterie-Service-Interval-Meldung zurück.

Alarmkonfiguration über die Windows-Registry

Beim Stromausfall schaltet die USV automatisch auf Batteriebetrieb um. Nach einer konfigurierbaren maximalen Zeit im Batteriebetrieb wird das Gerät abgeschaltet.

Die maximale Zeit im Batteriebetrieb ist standardmäßig auf 180 Sekunden eingestellt. Diese Zeit ist über einen Windows Registry-Eintrag konfigurierbar.

Starten Sie den Registrierungseditor und suchen Sie folgenden Schlüssel:

HKEY_LOCAL_MACHINE\Drivers\BuiltIn\Battery\Config\

Suchen Sie folgenden Wert:

ShutdownOnBatteryWait  REG_DWORD 0x000000b4 (180)

Die Zeit wird angegeben in Sekunden. Zulässiger Bereich: <0..16200> Sekunden (entspricht 270 Minuten).

Wenn Sie z.B. den Wert auf 0 setzen, dann wird beim Stromausfall sofort mit dem Shutdown begonnen. Bei älteren P24Vxxx-Modellen wird das Gerät aber erst nach max. 20 Sekunden abgeschaltet.

In der neueren USV-Softwareversion kann auch die Zeiteinheit in Minuten eingestellt werden:

ShutdownOnBatteryWaitUnit  REG_DWORD 0x00000000 (0)

Zulässiger Bereich: <0..1>.

  • 0 := Sekunden (Defaultwert, auch wenn dieser Registrywert nicht vorhanden ist);
  • 1 := Minuten;

Alarkonfiguration über den UPS Konfigurationsdialog in der Systemsteuerung

Neuere Geräte beinhalten ein einfaches USV-Control Panel-Applet. Der Dialog zeigt die aktuelle Konfiguration und Statusinformationen der USV.

Die max. Zeit im Batteriebetrieb (vor dem kritischen Alarm) kann auch hier konfiguriert werden. Ausserdem ist es möglich die Zeit in Sekunden oder Minuten einzustellen.

Folgende Informationen werden auf dem Beckhoff UPS Configuration - Dialog angezeigt:

Vendor: USV-Herstellername.

Model: USV-/Netzteil-Modellbezeichnung.

Current power source: Aktuelle Quelle der Stromversorgung. Mögliche Werte: ONLINE, OFFLINE; BACKUP POWER, UNKNOWN.

Battery charge status: Aktueller Batterieladestatus. Mögliche Werte: HIGH, LOW, CRITICAL, NO BATTERY, CHARGING, UNKNOWN.

Battery load level: Aktueller Batterieladestatus in Prozent.

Estimated UPS runtime: Erwartete/Errechnete verbliebene Batterielaufzeit.

Temperature: Temperatur der USV-Elektronik.

Voltage: Lade bzw. Entladespannung in [mV]

Current: Lade bzw. Entadestrom in [mA].

Flags: Zusätzliche USV-Statusinformationen. Implementiert in der Dialogversion >= 1.0.3. Mögliche Werte die gleichzeitig angezeigt werden können:

  • BATTERR (Batterie meldet einen Fehler, mögl. nicht vorhanden oder nicht angeschlossen)
  • FANERR (Lüfter meldet einen Fehler)
  • OVERTEMPERR (Übertemperatur wurde detektiert und das Laden wurde unterbrochen)
  • BATTSRVINTERVAL (Batterie-Service-Interval ist abgelaufen)
  • UNDERTEMPERR (Untertemperatur wurde detektiert und das Laden wurde unterbrochen)
  • FUSEERR (Sicherung ist defekt oder nicht vorhanden)
  • ALARM1 (reserviert für zukunftige Anwendungen)
  • ALARM2 (reserviert für zukunftige Anwendungen)
  • ALARM3 (reserviert für zukunftige Anwendungen)

Power fail counter: Power-Fail-Zähler. Implementiert in der Dialogversion >= 1.0.3. Zählt die Stromausfälle seit dem letzten Bootvorgang.

Max. time on battery before critical alarm: Maximale Zeit im Batteriebetrieb vor dem kritischen Alarm. Der kritische Alarm wird dann ausgelösst wenn die Zeit abgelaufen ist oder wenn die Hardware meldet daß die Batterieladung nahe erschöpft ist.

About: Zeigt die Dialogversionsinformation.


Statusinformation

Diese Seite beschreibt unterschiedlichen Möglichkeiten um auf Statusinformationen der USV zugreifen zu können.

Statusinformation auf dem Energieoptionendialog in der Systemsteuerung

Der Energieoptionen-Dialog in der Systemsteuerung zeigt den Status der externen Spannungsversorgung und die verbliebene Batteriekapazität an.

Statusinformation auf dem UPS Konfigurationsdialog in der Systemsteuerung

Neuere Images beinhalten ein einfaches USV-Control Panel-Applet. Der Dialog zeigt die aktuelle Konfiguration und Statusinformationen der USV.

Die max. Zeit im Batteriebetrieb (vor dem kritischen Alarm) kann auch hier konfiguriert werden. Ausserdem ist es möglich die Zeiteinheit in Sekunden oder Minuten einzustellen.

Folgende Informationen werden auf dem Beckhoff UPS Configuration - Dialog angezeigt:

Vendor: USV-Herstellername.

Model: USV-/Netzteil-Modellbezeichnung.

Current power source: Aktuelle Quelle der Stromversorgung. Mögliche Werte: ONLINE, OFFLINE; BACKUP POWER, UNKNOWN.

Battery charge status: Aktueller Batterieladestatus. Mögliche Werte: HIGH, LOW, CRITICAL, NO BATTERY, CHARGING, UNKNOWN.

Battery load level: Aktueller Batterieladestatus in Prozent.

Estimated UPS runtime: Erwartete/Errechnete verbliebene Batterielaufzeit.

Temperature: Temperatur der USV-Elektronik.

Voltage: Lade bzw. Entladespannung in [mV]

Current: Lade bzw. Entadestrom in [mA].

Flags: Zusätzliche USV-Statusinformationen. Implementiert in der Dialogversion >= 1.0.3. Mögliche Werte die gleichzeitig angezeigt werden können:

  • BATTERR (Batterie meldet einen Fehler, mögl. nicht vorhanden oder nicht angeschlossen)
  • FANERR (Lüfter meldet einen Fehler)
  • OVERTEMPERR (Übertemperatur wurde detektiert und das Laden wurde unterbrochen)
  • BATTSRVINTERVAL (Batterie-Service-Interval ist abgelaufen)
  • UNDERTEMPERR (Untertemperatur wurde detektiert und das Laden wurde unterbrochen)
  • FUSEERR (Sicherung ist defekt oder nicht vorhanden)
  • ALARM1 (reserviert für zukunftige Anwendungen)
  • ALARM2 (reserviert für zukunftige Anwendungen)
  • ALARM3 (reserviert für zukunftige Anwendungen)

Power fail counter: Power-Fail-Zähler. Implementiert in der Dialogversion >= 1.0.3. Zählt die Stromausfälle seit dem letzten Bootvorgang.

Max. time on battery before critical alarm: Maximale Zeit im Batteriebetrieb vor dem kritischen Alarm. Der kritische Alarm wird dann ausgelösst wenn die Zeit abgelaufen ist oder wenn die Hardware meldet daß die Batterieladung nahe erschöpft ist.

About: Zeigt die Dialogversionsinformation.

Statusinformation in der API für Windows CE

Windows CE Applikationen können über den API-Funktionsaufruf: GetSystemPowerStatusEx2 zyklisch auf die Statusinformationen der USV zugreifen.

DWORD GetSystemPowerStatusEx2(
  PSYSTEM_POWER_STATUS_EX2 pSystemPowerStatusEx2,
  DWORD dwLen,
  BOOL fUpdate
);

typedef struct _SYSTEM_POWER_STATUS_EX2 {
  BYTE ACLineStatus;
  BYTE BatteryFlag;
  BYTE BatteryLifePercent;
  BYTE Reserved1;
  DWORD BatteryLifeTime;
  DWORD BatteryFullLifeTime;
  BYTE Reserved2;
  BYTE BackupBatteryFlag;
  BYTE BackupBatteryLifePercent;
  BYTE Reserved3;
  DWORD BackupBatteryLifeTime;
  DWORD BackupBatteryFullLifeTime;
  DWORD BatteryVoltage;
  DWORD BatteryCurrent;
  DWORD BatteryAverageCurrent;
  DWORD BatteryAverageInterval;
  DWORD BatterymAHourConsumed;
  DWORD BatteryTemperature;
  DWORD BackupBatteryVoltage;
  BYTE BatteryChemistry;
  //  Add any extra information after the BatteryChemistry member.
} SYSTEM_POWER_STATUS_EX2, *PSYSTEM_POWER_STATUS_EX2, *LPSYSTEM_POWER_STATUS_EX2;

Bitte beachten Sie dass nicht alle Parameter von der Beckhoff USV unterstützt werden. Zu den Wichtigsten Membervariablen gehören:

ACLineStatus: Status der externen Spannungsversorgung;

BatteryLifePercent: Batterieladestatus in Prozent.

BatteryLifeTime: Verbliebene Batterielaufzeit.

Weitere Informationen zu dieser API-Funktion finden Sie in der Microsoft Online Dokumentation.

Statusinformation in der TwinCAT SPS

Eine TwinCAT SPS-Applikation kann mit dem Funktionsbaustein FB_GetUPSStatus auf die Statusinformationen der USV lesend zugreifen. Eine Ausführliche Dokumentation des Funktionsbausteins finden Sie hier: FB_GetUPSStatus.


FB_GetUPSStatus

TwinCAT PLC Library: IO Functions

FUNCTION_BLOCK FB_GetUPSStatus

Voraussetzungen:

a) Die Beckhoff USV Softwarekomponenten wurden installiert.

  • Windows 10, Windows 7, Windows Embedded Standard 7 und höher: Konfigurationsdialog unter „Start->Programme->Beckhoff->UPS Software Components“.
  • NT4, Win2K,WinXP, WinXP embedded: Zusätzlicher Reiter unter "Systemsteuerung->Energieoptionen->Beckhoff UPS Configuration" oder "Systemsteuerung->Energieoptionen->USV".
  • Beckhoff CE Geräte mit 24V USV-Unterstützung werden mit einem speziellen Beckhoff Battery Driver für Windows CE ausgeliefert. Der Treiber ist bei diesen Geräten in dem standard CE Image enthalten.

b) Die USV wurde aktiviert und konfiguriert. Weitere Informationen zur USV-Konfiguration finden Sie in der entsprechenden weiterführenden USV-Software und Gerätedokumentation.

  • Windows 7, Windows Embedded Standard 7 und höher: Konfigurationsdialog unter "Start->Programme->Beckhoff->UPS Software Components".
  • NT4, Win2K, WinXP, WinXP embedded: Konfigurationsdialog unter "Systemsteuerung->Energieoptionen->Beckhoff UPS Configuration".
  • Windows CE: Die USV-Funktion ist standardmäßig deaktiviert und muss über ein RegFile aktiviert werden. Neuere Images beinhalten ein Konfigurationsdialog unter "Start->Systemsteuerung->BECKHOFF UPS Configuration".

Der Funktionsbaustein FB_GetUPSStatus liest aus der SPS den Status der USV-Hardware. Der Baustein wird Levelgetriggert, d.h. nur bei dem gesetzten bEnable -Eingang werden die Statusinformationen der USV zyklisch gelesen. Um dabei die Systemauslastung niedrig zu halten werden die Statusinformationen alle ~4,5s neu gelesen. Bei einem gesetzten bValid-Ausgang sind die zuletzt gelesenen Daten gültig. D.h. der letzte Lesezyklus wurde fehlerfrei durchgeführt. Beim Auftreten eines Fehlers wird der Lesezyklus wiederholt und der Fehler automatisch zurückgesetzt sobald die Fehlerursache behoben wurde (z.B. keine Kommunikation zur USV).

VAR_INPUT

VAR_INPUT
    sNetId		:T_AmsNetId;
    nPort		:T_AmsPort;(* 0 = Windows UPS service / Windows Battery Driver *)
    bEnable		:BOOL;
END_VAR

sNetId: Hier kann ein String mit der Netzwerkadresse des TwinCAT-Rechners angegeben werden, dessen USV-Status gelesen werden soll. Für den lokalen Rechner kann auch ein Leerstring angegeben werden.

nPort: Die ADS-Portnummer. Setzen Sie diesen Wert auf Null. Andere Portnummern sind für zukünftige Anwendungen reserviert.

bEnable: Bei einem gesetzten Eingang wird der USV-Status zyklisch gelesen.

VAR_OUTPUT

VAR_OUTPUT
    bValid		:BOOL;
    bError		:BOOL;
    nErrId		:UDINT;
    stStatus		:ST_UPSStatus;
END_VAR

bValid: Wenn dieser Ausgang gesetzt ist sind die Daten in der ST_UPS Status-Struktur gültig (beim letzten Lesezyklus ist kein Fehler aufgetreten).

bError: Sollte ein Fehler bei der Ausführung der Funktion erfolgen, dann wird dieser Ausgang gesetzt.

nErrId: Liefert bei einem gesetzten bError-Ausgang die ADS-Fehlernummer oder einen Befehlsspezifischen Fehlercode zurück (Tabelle).

stStatus: Struktur mit den Statusinformationen der USV.

Fehlercodes | Fehlerbeschreibung
0x0000 | Kein Fehler
0x8001 | USV-Konfigurationsfehler. Möglicherweise ist die USV nicht richtig oder gar keine USV konfiguriert.
0x8002 | Kommunikationsfehler. Die Kommunikation zu der USV wurde unterbrochen.
0x8003 | Fehler beim Lesen der Statusdaten.

Hinweis:

Nicht alle USV-Geräte können alle Statusinformationen liefern. Einige Geräte können z.B. keine BatteryLifeTime oder keinen BatteryReplace-Status liefern.

Beispiel für einen Aufruf in FUP:

Online-Daten mit Statusinformationen einer USV:

USV-Hardware | Zielplattform | Entwicklungsumgebung | Einzubindende SPS-Bibliotheken
  • Beckhoff HID UPS;
  • Beckhoff BAPI v1;
  • Beckhoff P24Vxxxx;
  • Beckhoff CP903x-Karte (PCI/ISA);
  • Beckhoff CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192);
  • Die mit Beckhoff Industrie-PC ausgelieferten APC-Geräte die das Smartprotokoll unterstützen und mit dem Windows USV-Dienst konfiguriert werden können;
 PC oder CX TwinCAT v2.8.0, Build > 745

TwinCAT v2.9.0, Build > 945

 TcIoFunctions.Lib

( Standard.Lib; TcBase.Lib; TcSystem.Lib; TcUtilities.Lib werden automatisch eingebunden )

TwinCAT v3.0 und höher | Tc2_IoFunctions


ST_UPSStatus

TwinCAT PLC Library: IO Functions

TYPE ST_UPSStatus

TYPE ST_UPSStatus
STRUCT
    Vendor			: STRING;(* USV-Herstellername*)
    Model			: STRING;(* USV-Modelstring*)
    FirmwareRev		: STRING;(* Versionsinformationen zur USV-Firmware*)
    SerialNumber		: STRING;(* Seriennummer der USV*)
    BatteryLifePercent		: DWORD;(* Verbliebene Akkulaufzeit in Prozent (0..100%)*)
    BatteryLifeTime		: DWORD;(* Verbliebene Akkulaufzeit in Minuten*)
    eBatteryStatus		: E_BatteryStatus;(* USV-Akkustatus*)
    eCommStatus		: E_UpsCommStatus;(* Status der Kommunikation zur USV*)
    ePowerStatus		: E_UpsPowerStatus;(* Status der externen Spannungsversorgung*)
    nPowerFailCnt		: DWORD;(* Power-Fail-Zähler. Der Zähler wird inkrementiert wenn ein Spannungsaufall vom USV-Service erkannt wurde*)
    dwChargeFlags		: DWORD;(* Akku und spezielle Statusinformationen. Es können eins oder mehrere Bits gleichzeitig gesetzt sein.
    Bits0..7 := Allgemeine Akku-Statusinformation (wenn alle Bits Null sind => Status unbekannt)
        Bit0 := High (Bit gesetzt => Ladestatus hoch)
        Bit1 := Low (Bit gesetzt => Ladestatus niedrig)
        Bit2 := Critical (Bit gesetzt => Ladestatus kritisch)
        Bit3 := Charging (Bit gesetzt => Akku wird geladen)
        Bits4..6 := zur Zeit reserviert (alle Bits sind 0)
        Bit7 := No Battery (Bit gesetzt => Akku fehlt oder wurde abgeklemmt)
    Bits8..15 := Spezielle Statusinformationen (alle Bits sind 0 => Status in Ordnung oder unbekannt)
        Bit8 := UPS Fan Error (Bit gesetzt => Lüfterhardware meldet einen Fehler, Bit nicht gesetzt => kein Fehler detektiert)
        Bit9 := Over Temperature (Bit gesetzt => Übertemperatur wurde von der Hardware detektiert, Bit nicht gesetzt => keine Übertemperatur detektiert)
        Bit10 := Service Interval Notify (Bit gesetzt => Intervalezeit ist abgelaufen, Bit nicht gesetzt =>Intervalzeit ist noch nicht abgelaufen )
        Bit11 := Under Temperature (Bit gesetzt => Untertemperatur wurde von der Hardware detektiert, Bit nicht gesetzt => keine Untertemperatur detektiert)
        Bit12 := Fuse Not Ok (Bit gesetzt => Sicherung defekt oder fehlt, Bit nicht gesetzt => Sicherung ist in Ordnung)
        Bit13 := Alarm1 (zur Zeit reserviert, Bit ist 0)
        Bit14 := Alarm2 (zur Zeit reserviert, Bit ist 0)
        Bit15 := Alarm3 (zur Zeit reserviert, Bit ist 0)
    Bits16..31 := zur Zeit reserviert, alle Bits sind 0)
     *)
END_STRUCT
END_TYPE

Nicht alle USV-Modelle können alle Statusinformationen liefern.

X : Die Statusinformation ist bei diesem Model vorhanden.

*) Nur vorhanden, wenn das Model "Smart Signaling to any APC UPS & TwinCAT" konfiguriert wurde.

Statusinformation Beckhoff
HID UPS,
BAPI v1
 Beckhoff
P24Vxxxx 		Beckhoff
CP903x ISA/PCI-Karte 		Beckhoff
CX2100-09x4 		APC
Back-UPS Pro 280,
Smart-UPS 420 		Beschreibung
Vendor | X | X | X | X | X | Herstellername.
Model | X | X | X | X | X | Modelstring. Leerstring, wenn keine USV konfiguriert wurde.
FirmwareRev | X | X | X | X | X | Versionsinformationen zur USV-Firmware. Leerstring, wenn die USV diesen Parameter nicht unterstützt.
SerialNumber | X | X | Keine | X | X | Seriennummer der USV. Leerstring, wenn die USV diesen Parameter nicht unterstützt.
BatteryLifePercent | X | X | Keine | X | X | Verbliebene Akkulaufzeit in Prozent. Der Wert ist immer NULL wenn die USV diesen Parameter nicht liefern kann.
BatteryLifeTime | X | X | Keine | X | X | Verbliebene Akkulaufzeit in Minuten. Der Wert ist immer NULL wenn die USV diesen Parameter nicht liefern kann.
eBatteryStatus
  • BatteryOk
  • BatteryUnknownStatus wenn kein Akku vorhanden ist, ab USV-Softwareversion >=2.0.0.6 und USV-Firmware >= 25.1.I.
  • BatteryOk
  • BatteryUnknownStatus wenn kein Akku vorhanden ist.
  • BatteryOk
  • BatteryUnknownStatus wenn kein Akku vorhanden ist (gilt nur für das Model mit "Smart Battery" und nicht mit Kondensatoren).
  • BatteryOk
 X Akku-Status.
eCommStatus | X | X | X | X | X | Status der Kommunikation zur USV.
ePowerStatus | X | X | X | X | X | Status der externen Spannungsversorgung.
nPowerFailCnt | X | X | X | X | *X | Power-Fail-Zähler. Der Zähler wird inkrementiert wenn ein Spannungsausfall vom USV-Service erkannt wurde.
dwChargeFlags
  • No Battery (Bit 7 gesetzt) ab USV-Firmware >= 33.12-0 wenn kein Akku angeschlossen.
  • Service Interval Notify (Bit 10 gesetzt).Der konfigurierte Akkuwechsel Interval-Service ist abgelaufen.
  • No Battery (Bit 7 gesetzt) ab USV-Softwareversion >=2.0.0.6 und Firmware >= 25.1.I Die Existenz des Akkus wird jede Minute überprüft.
  • UPS Fan Error (Bit 8 gesetzt) ab USV-Softwareversion >=2.0.0.7 und Firmware >=40.1.I Der USV Lüfterstatus wird jede Minute überprüft. Erfordert eine neuere (zweite) Hardwarerevision!
  • Service Interval Notify (Bit 10 gesetzt).Der konfigurierte Akkuwechsel Interval-Service ist abgelaufen . Implementiert in der USV-Softwareversion >= 3.0.0.8.
  • High (Bit 0 gesetzt) wenn Akku voll geladen.
  • Charging (Bit 3 gesetzt) wenn Akku lädt.
  • No Battery (Bit 7 gesetzt) wenn kein Akku gefunden wurde.
  • No Battery (Bit 7 gesetzt). Keine Kommunikation zum Akku (gilt nur für das Model mit "Smart Battery" und nicht mit Kondensatoren).
  • Over Temperature (Bit 9 gesetzt) wenn Übertemperatur detektiert wurde und das Laden des Akkus unterbrochen wurde. Erfordert eine neuere (zweite) Hardwarerevision. Implementiert in der USV-Softwareversion >= 3.0.0.18.
  • Service Interval Notify (Bit 10 gesetzt) Der konfigurierte Akku-Service-Intervalzeit ist abgelaufen.
  • Under Temperature (Bit 11 gesetzt) wenn Untertemperatur detektiert wurde und das Laden des Akkus unterbrochen wurde. Erfordert eine neuere (zweite) Hardwarerevision. Implementiert in der USV-Softwareversion >= 3.0.0.18.
  • Fuse Not Ok (Bit 12 gesetzt) Die "Smart Battery"-Sicherung ist defekt oder nicht vorhanden. Erfordert eine neuere (zweite) Hardwarerevision. Implementiert in der USV-Softwareversion >= 3.0.0.18.
 Keine Akku-Ladestatus-Flags und spezielle Statusinformationen.

USV-Hardware | Zielplattform | Entwicklungsumgebung | Einzubindende SPS-Bibliotheken
  • Beckhoff HID UPS;
  • Beckhoff BAPI v1;
  • Beckhoff P24Vxxxx;
  • Beckhoff CP903x-Karte (PCI/ISA);
  • Beckhoff CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192);
  • Die mit Beckhoff Industrie-PC ausgelieferten APC-Geräte die das Smartprotokoll unterstützen und mit dem Windows USV-Dienst konfiguriert werden können;
 PC oder CX TwinCAT v2.8.0, Build > 745

TwinCAT v2.9.0, Build > 945

 TcIoFunctions.Lib

( Standard.Lib; TcBase.Lib; TcSystem.Lib; TcUtilities.Lib werden automatisch eingebunden )

TwinCAT v3.0 und höher | Tc2_IoFunctions


E_BatteryStatus

TwinCAT PLC Library: IO Functions

TYPE E_BatteryStatus

TYPE E_BatteryStatus :
(
    BatteryUnknownStatus, 	(*Der Akkustatus ist unbekannt*)
    BatteryOk, 		(*Der Akku ist in Ordnung*)
    BatteryReplace 		(*Der Akku sollte gewechselt werden*)
);
END_TYPE

USV-Hardware | Zielplattform | Entwicklungsumgebung | Einzubindende SPS-Bibliotheken
  • Beckhoff HID UPS;
  • Beckhoff BAPI v1;
  • Beckhoff P24Vxxxx;
  • Beckhoff CP903x-Karte (PCI/ISA);
  • Beckhoff CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192);
  • Die mit Beckhoff Industrie-PC ausgelieferten APC-Geräte die das Smartprotokoll unterstützen und mit dem Windows USV-Dienst konfiguriert werden können;
 PC oder CX TwinCAT v2.8.0, Build > 745

TwinCAT v2.9.0, Build > 945

 TcIoFunctions.Lib

( Standard.Lib; TcBase.Lib; TcSystem.Lib; TcUtilities.Lib werden automatisch eingebunden )

TwinCAT v3.0 und höher | Tc2_IoFunctions


E_UpsCommStatus

TwinCAT PLC Library: IO Functions

TYPE E_UpsCommStatus

TYPE E_UpsCommStatus :
(
    UpsCommUnknownStatus,	(*Kommunikationsstatus zur USV-Hardware ist unbekannt*)
    UpsCommOk, 		(*Kommunikation zur USV-Hardware ist hergestellt*)
    UpsCommFailed 		(*Kommunikation zur USV wurde unterbrochen*)
);
END_TYPE

USV-Hardware | Zielplattform | Entwicklungsumgebung | Einzubindende SPS-Bibliotheken
  • Beckhoff HID UPS;
  • Beckhoff BAPI v1;
  • Beckhoff P24Vxxxx;
  • Beckhoff CP903x-Karte (PCI/ISA);
  • Beckhoff CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192);
  • Die mit Beckhoff Industrie-PC ausgelieferten APC-Geräte die das Smartprotokoll unterstützen und mit dem Windows USV-Dienst konfiguriert werden können;
 PC oder CX TwinCAT v2.8.0, Build > 745

TwinCAT v2.9.0, Build > 945

 TcIoFunctions.Lib

( Standard.Lib; TcBase.Lib; TcSystem.Lib; TcUtilities.Lib werden automatisch eingebunden )

TwinCAT v3.0 und höher | Tc2_IoFunctions


E_UpsPowerStatus

TwinCAT PLC Library: IO Functions

TYPE E_UpsPowerStatus

TYPE E_UpsPowerStatus :
(
    PowerUnknownStatus, 	(*Der Status der Stromversorgung ist unbekannt*)
    PowerOnLine, 		(*Das Gerät befindet sich im Netzbetrieb*)
    PowerOnBattery 		(*Stromausfall ist aufgetreten und das Gerät befindet sich im Akkubetrieb*)
);
END_TYPE

USV-Hardware | Zielplattform | Entwicklungsumgebung | Einzubindende SPS-Bibliotheken
  • Beckhoff HID UPS;
  • Beckhoff BAPI v1;
  • Beckhoff P24Vxxxx;
  • Beckhoff CP903x-Karte (PCI/ISA);
  • Beckhoff CX2100-09x4 Modelle (z.B. CX2100-0904 oder CX2100-0914 + "Smart Battery" CX2900-0192);
  • Die mit Beckhoff Industrie-PC ausgelieferten APC-Geräte die das Smartprotokoll unterstützen und mit dem Windows USV-Dienst konfiguriert werden können;
 PC oder CX TwinCAT v2.8.0, Build > 745

TwinCAT v2.9.0, Build > 945

 TcIoFunctions.Lib

( Standard.Lib; TcBase.Lib; TcSystem.Lib; TcUtilities.Lib werden automatisch eingebunden )

TwinCAT v3.0 und höher | Tc2_IoFunctions


.topic 1000
Zeigt Versionsinformationen an.
.topic 1001
Zeigt detaillierte USV Informationen an.
.topic 1002
Zeigt den Dialog mit gerätespezifischen Optionen an.
.topic 1003
Zeigt Optionen zur Konfiguration der Systemreaktion bei kritischen Energiezuständen an.
.topic 1004
Zeigt Optionen zur Angabe des Herstellers, Models sovie Optionen zum verwendeten COM-Port.
.topic 1005
Zeigt die Online-Hilfe an.
.topic 1007
Schliesst den Dialog und speichert die Konfigurationsänderungen.
.topic 1008
Schliesst den Dialog. Die Änderungen werden nicht übernommen.
.topic 1009
Sprachumschaltung der USV-Software.
Es wird eine Liste der unterstützten Landessprachen angezeigt.
"User default" - Empfohlene Einstellung bei einem Betriebssystem mit einem Multilingual User Interface (MUI).
.topic 1011
Zeigt erweiterte Shutdown- oder Sitzungsende-Optionen.
.topic 1010
Wiederherstellung der Fabrikeinstellungen (Standardwerte).
.topic 1101
Veranlasst das verzögerte Ausschalten der USV-Ausgänge nach dem das System runtergefahren wurde.
.topic 1102
Legt fest wie lange die USV auf Akkuspannung betrieben wird,
ehe ein Alarm wegen eines kritischen Energiezustands ausgegeben wird.
Geben Sie an, wie viele Minuten lang die USV nach einem Netzausfall Akkuspannung liefern soll.
Wenn der Akku fast leer ist, wird der Alarm bereits vor der eingestellten Zeit ausgegeben.
.topic 1103
Die Verzögerungszeit zum Abschalten der USV-Ausgänge.
.topic 1104
Aktiviert beim USV-Service das Anzeigen der Meldungen wenn kritischer Alarm aufgetreten ist
oder Spannungsausfall oder wenn die externe Spannung wieder hergestellt wurde.
.topic 1105
Setzt die Zeit, die der USV-Service abwarten soll, bevor die erste Meldung über den Ausfall der Spannungsversorgung angezeigt wird.
.topic 1106
Setzt die Intervalzeit in der die Spannungsausfallmeldungen von dem USV-Service angezeigt werden sollen.
.topic 1107
Aktiviert die Ausführung einer speziellen Task-Scheduler-Task, die ausgeführt wird
vor der Initialisierungs des Betriebssystem-Shutdowns durch den USV-Service.
.topic 1108
Zeigt in einer Liste alle gefundenen Task-Scheduler-Tasks an.
.topic 1109
Konfiguriert die Task-Scheduler-Taks welche vor der Initialisierung des Betriebssystem-Shutdowns
durch den USV-Service ausgeführt werden soll.
.topic 1110
Erstellt eine neue Task-Scheduler-Task mit einem vorgegebenen Default-Namen.
Diese Funktion ist nur unter XP verfügbar und auch nur dann wenn die Default-Task in der Liste der Tasks noch nicht existiert.
.topic 1111
Startet zu Testzwecken die ausgewählte Task-Scheduler-Task. Die Task wird nach max. 30 Sekunden automatisch gestoppt.
.topic 1112
Aktiviert/erzwingt auf Windows Vista oder 7 Systemen die Verwendung der XP Task-Scheduler v1.0 Schnittstelle (nicht empfohlen) .
.topic 1203
Zeigt den Dialog zum Firmware-Update der USV.
.topic 1204
Führt ein Selbsttest durch und zeigt das Ergebniss an:
"OK" - Test erfolgreich, der Akku ist in Ordnung
"BT" - Fehlgeschlagen wegen einer nicht ausreichenden Akkukapazität oder es ist gar kein Akku vorhanden/angeschlossen worden
"NG" - Fehlgeschlagen wegen Überlast
"NO" - Kein Ergebniss vorhanden
.topic 1205
Aktualisiert das Datum des letzten Akkuwechsels und setzt die Interval-Service-Meldung zurück.
Das Datum wird im EEPROM der USV abgelegt und kann auf dem USV-Info-Dialog überprüft werden.
.topic 1206
Batterie-Typ/-Ladecharakteristik. Zulässige Werte: 0..99;
.topic 1207
Zulässige Werte: 0..99900 mAh (in 100 mAh Schritten/Auflösung);
.topic 1208
Zulässige Werte: 0..999 mOhm;
.topic 1214
Beckhoff Batterie-Pack-Modellbezeichnung.
.topic 1209
Anzahl der Monate vor der ersten Akkuwechsel-Interval-Service-Meldung.
Zulässige Werte: 0..480. Default: 60 Monate = 5 Jahre und nicht aktiviert (checkbox nicht ausgewählt).
Nach Ablauf dieser Zeit wird eine Interval-Service-Meldung (Warnung) in die Windows-Ereignisanzeige geschrieben.
.topic 1210
Zeigt das Datum des letzten Akkuwechsels (letzter Service).
.topic 1211
Zeigt das voraussichtige Datum des nächsten Akkuwechsels (nächster Service).
.topic 1212
Zeigt das aktuelle Datum. Beim Zurücksetzen der Service-Meldung wird der letzte Akkuwechsel auf dieses Datum aktualisiert.
.topic 1213
Zeigt die aktuelle Version der USV-Firmware.
.topic 1301
Zeigt eine Liste der USV-Hersteller an.
Wählen Sie den Hersteller Ihrer USV aus.
Wenn keine USV konfiguriert wurde, wählen Sie (None) aus.
.topic 1302
Zeigt die USV-Modelle des ausgewählen Herstellers an.
Wählen Sie Ihr USV-Modell aus.
.topic 1303
Zeigt eine Liste der verfügbaren COM-Ports an.
Wählen Sie den Port an dem Ihre USV angeschlossen wurde.
.topic 1304
Die Adresse der CP903x ISA-/PCI-Karte.
.topic 1305
Sucht nach vorhandenen CP903x ISA-/PCI-Karten.
.topic 1401
Wird der PC auf Akkuspannung runtergefahren, schaltet die USV nach einer Verzögerungszeit die Ausgänge (und den PC) aus.
Ist die externe Spannung vorhanden, werden die USV-Ausgänge (und der PC) sofort wieder eingeschaltet. Default: Eingeschaltet.
.topic 1402
Diese Option kann auf Systemen benutzt werden, die die Soft-Power-Off-Funktionalität nicht besitzen (z.B. NT4.0 ).
Der USV-Schutz wird nach einer Verzögerungszeit deaktiviert um ein Abschalten der USV-Ausgänge (und des PC's) zu ermöglichen.
.topic 1403
Die Verzögerungszeit nach der der USV-Schutz deaktiviert werden soll.
.topic 1500
Zeigt Informationen über die unterstützten USV Modelle.


Systemverhalten

Das Systemverhalten eines Beckhoff Industrie-PC's mit den Beckhoff USV-Software- und Hardware-Komponenten für den W2K/XP/XPe USV-Service.